// python wrapper for vtkImageAutoThresholdColocalization
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageAutoThresholdColocalization.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageAutoThresholdColocalization(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageAutoThresholdColocalization(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAutoThresholdColocalizationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAutoThresholdColocalizationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageMultipleInputOutputFilterNew
extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputOutputFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageMultipleInputOutputFilterNew
#endif

static const char **PyvtkImageAutoThresholdColocalization_Doc();


static PyObject *
PyvtkImageAutoThresholdColocalization_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  vtkImageAutoThresholdColocalization *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageAutoThresholdColocalization *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageAutoThresholdColocalization::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetIncludeZeroPixels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIncludeZeroPixels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  bool tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIncludeZeroPixels();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetIncludeZeroPixels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetIncludeZeroPixels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIncludeZeroPixels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIncludeZeroPixels(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetIncludeZeroPixels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetConstantVoxelValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetConstantVoxelValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetConstantVoxelValue();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetConstantVoxelValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetConstantVoxelValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetConstantVoxelValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetConstantVoxelValue(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetConstantVoxelValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPearsonWholeImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPearsonWholeImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPearsonWholeImage();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPearsonWholeImage();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPearsonWholeImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPearsonWholeImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPearsonWholeImage(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPearsonWholeImage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPearsonImageAbove(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPearsonImageAbove");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPearsonImageAbove();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPearsonImageAbove();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPearsonImageAbove(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPearsonImageAbove");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPearsonImageAbove(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPearsonImageAbove(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPearsonImageBelow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPearsonImageBelow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPearsonImageBelow();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPearsonImageBelow();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPearsonImageBelow(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPearsonImageBelow");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPearsonImageBelow(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPearsonImageBelow(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetM1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetM1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetM1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetM1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetM1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetM1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetM1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetM1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetM2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetM2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetM2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetM2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetM2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetM2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetM2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetM2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetK1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetK1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetK1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetK1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetK1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetK1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetK1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetK1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetK2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetK2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetK2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetK2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetK2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetK2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetK2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetK2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetThresholdM1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetThresholdM1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetThresholdM1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetThresholdM1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetThresholdM1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetThresholdM1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetThresholdM1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetThresholdM1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetThresholdM2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetThresholdM2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetThresholdM2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetThresholdM2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetThresholdM2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetThresholdM2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetThresholdM2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetThresholdM2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetC1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetC1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetC1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetC1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetC1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetC1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetC1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetC1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetC2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetC2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetC2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetC2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetC2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetC2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetC2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetC2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageVolumeCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageVolumeCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageVolumeCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageVolumeCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageVolumeCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageVolumeCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageVolumeCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageVolumeCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageVolumeCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageVolumeCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageVolumeCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageVolumeCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageVolumeCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageVolumeCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageVolumeCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageVolumeCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageTotalCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageTotalCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageTotalCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageTotalCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageTotalCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageTotalCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageTotalCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageTotalCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageTotalCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageTotalCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageTotalCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageTotalCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageTotalCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageTotalCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageTotalCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageTotalCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageMaterialCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageMaterialCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageMaterialCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageMaterialCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageMaterialCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageMaterialCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageMaterialCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageMaterialCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetPercentageMaterialCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPercentageMaterialCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPercentageMaterialCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetPercentageMaterialCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetPercentageMaterialCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPercentageMaterialCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPercentageMaterialCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetPercentageMaterialCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetCh1ThresholdMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCh1ThresholdMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCh1ThresholdMax();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetCh1ThresholdMax();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetCh1ThresholdMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCh1ThresholdMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCh1ThresholdMax(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetCh1ThresholdMax(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetCh2ThresholdMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCh2ThresholdMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCh2ThresholdMax();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetCh2ThresholdMax();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetCh2ThresholdMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCh2ThresholdMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCh2ThresholdMax(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetCh2ThresholdMax(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetSumOverThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSumOverThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSumOverThresholdCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetSumOverThresholdCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetSumOverThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSumOverThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSumOverThresholdCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetSumOverThresholdCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetSumOverThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSumOverThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSumOverThresholdCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetSumOverThresholdCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetSumOverThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSumOverThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSumOverThresholdCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetSumOverThresholdCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetSumCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSumCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSumCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetSumCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetSumCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSumCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSumCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetSumCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetSumCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSumCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSumCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetSumCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetSumCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSumCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSumCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetSumCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetSlope(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSlope");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSlope();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetSlope();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetSlope(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSlope");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSlope(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetSlope(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetIntercept(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntercept");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntercept();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetIntercept();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetIntercept(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntercept");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIntercept(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetIntercept(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetColocAmount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColocAmount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColocAmount();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetColocAmount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetColocAmount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColocAmount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColocAmount(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetColocAmount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetColocPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColocPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColocPercent();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetColocPercent();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetColocPercent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColocPercent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColocPercent(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetColocPercent(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetDiffStainIntCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffStainIntCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDiffStainIntCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetDiffStainIntCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetDiffStainIntCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffStainIntCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDiffStainIntCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetDiffStainIntCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetDiffStainVoxelsCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffStainVoxelsCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDiffStainVoxelsCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetDiffStainVoxelsCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetDiffStainVoxelsCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffStainVoxelsCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDiffStainVoxelsCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetDiffStainVoxelsCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetDiffStainIntCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffStainIntCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDiffStainIntCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetDiffStainIntCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetDiffStainIntCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffStainIntCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDiffStainIntCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetDiffStainIntCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetDiffStainVoxelsCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDiffStainVoxelsCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDiffStainVoxelsCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetDiffStainVoxelsCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetDiffStainVoxelsCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDiffStainVoxelsCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDiffStainVoxelsCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetDiffStainVoxelsCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetLowerThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLowerThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLowerThresholdCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetLowerThresholdCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetLowerThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLowerThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLowerThresholdCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetLowerThresholdCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetLowerThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLowerThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLowerThresholdCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetLowerThresholdCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetLowerThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLowerThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLowerThresholdCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetLowerThresholdCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetUpperThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpperThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpperThresholdCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetUpperThresholdCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetUpperThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpperThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpperThresholdCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetUpperThresholdCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetUpperThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpperThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpperThresholdCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetUpperThresholdCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetUpperThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpperThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpperThresholdCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetUpperThresholdCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetOverThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOverThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOverThresholdCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetOverThresholdCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetOverThresholdCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverThresholdCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOverThresholdCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetOverThresholdCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetOverThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOverThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOverThresholdCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetOverThresholdCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetOverThresholdCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOverThresholdCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOverThresholdCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetOverThresholdCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetNonZeroCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonZeroCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonZeroCh1(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetNonZeroCh1(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetNonZeroCh1(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonZeroCh1");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonZeroCh1();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetNonZeroCh1();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetNonZeroCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonZeroCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonZeroCh2(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetNonZeroCh2(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetNonZeroCh2(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonZeroCh2");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonZeroCh2();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetNonZeroCh2();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_GetCalculateThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCalculateThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCalculateThreshold();
      }
    else
      {
      tempr = op->vtkImageAutoThresholdColocalization::GetCalculateThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAutoThresholdColocalization_SetCalculateThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCalculateThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAutoThresholdColocalization *op = static_cast<vtkImageAutoThresholdColocalization *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCalculateThreshold(temp0);
      }
    else
      {
      op->vtkImageAutoThresholdColocalization::SetCalculateThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageAutoThresholdColocalization_Methods[] = {
  {(char*)"GetClassName", PyvtkImageAutoThresholdColocalization_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageAutoThresholdColocalization_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageAutoThresholdColocalization_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAutoThresholdColocalization\nC++: vtkImageAutoThresholdColocalization *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageAutoThresholdColocalization_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageAutoThresholdColocalization\nC++: vtkImageAutoThresholdColocalization *SafeDownCast(\n    vtkObject* o)\n\n"},
  {(char*)"GetIncludeZeroPixels", PyvtkImageAutoThresholdColocalization_GetIncludeZeroPixels, 1,
   (char*)"V.GetIncludeZeroPixels() -> bool\nC++: bool GetIncludeZeroPixels()\n\nInclude zero-zero pixel pairs in colocalization\n"},
  {(char*)"SetIncludeZeroPixels", PyvtkImageAutoThresholdColocalization_SetIncludeZeroPixels, 1,
   (char*)"V.SetIncludeZeroPixels(bool)\nC++: void SetIncludeZeroPixels(bool a)\n\nInclude zero-zero pixel pairs in colocalization\n"},
  {(char*)"GetConstantVoxelValue", PyvtkImageAutoThresholdColocalization_GetConstantVoxelValue, 1,
   (char*)"V.GetConstantVoxelValue() -> int\nC++: int GetConstantVoxelValue()\n\nSet colocalized voxels to this value\n"},
  {(char*)"SetConstantVoxelValue", PyvtkImageAutoThresholdColocalization_SetConstantVoxelValue, 1,
   (char*)"V.SetConstantVoxelValue(int)\nC++: void SetConstantVoxelValue(int a)\n\nSet colocalized voxels to this value\n"},
  {(char*)"GetPearsonWholeImage", PyvtkImageAutoThresholdColocalization_GetPearsonWholeImage, 1,
   (char*)"V.GetPearsonWholeImage() -> float\nC++: double GetPearsonWholeImage()\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"SetPearsonWholeImage", PyvtkImageAutoThresholdColocalization_SetPearsonWholeImage, 1,
   (char*)"V.SetPearsonWholeImage(float)\nC++: void SetPearsonWholeImage(double a)\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"GetPearsonImageAbove", PyvtkImageAutoThresholdColocalization_GetPearsonImageAbove, 1,
   (char*)"V.GetPearsonImageAbove() -> float\nC++: double GetPearsonImageAbove()\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"SetPearsonImageAbove", PyvtkImageAutoThresholdColocalization_SetPearsonImageAbove, 1,
   (char*)"V.SetPearsonImageAbove(float)\nC++: void SetPearsonImageAbove(double a)\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"GetPearsonImageBelow", PyvtkImageAutoThresholdColocalization_GetPearsonImageBelow, 1,
   (char*)"V.GetPearsonImageBelow() -> float\nC++: double GetPearsonImageBelow()\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"SetPearsonImageBelow", PyvtkImageAutoThresholdColocalization_SetPearsonImageBelow, 1,
   (char*)"V.SetPearsonImageBelow(float)\nC++: void SetPearsonImageBelow(double a)\n\nPearson's correlation for whole volume, voxels above threshold\nand voxels below threshold\n"},
  {(char*)"GetM1", PyvtkImageAutoThresholdColocalization_GetM1, 1,
   (char*)"V.GetM1() -> float\nC++: double GetM1()\n\nManders' original colocalization coefficients M1 and M2 voxels\nbelow threshold\n"},
  {(char*)"SetM1", PyvtkImageAutoThresholdColocalization_SetM1, 1,
   (char*)"V.SetM1(float)\nC++: void SetM1(double a)\n\nManders' original colocalization coefficients M1 and M2 voxels\nbelow threshold\n"},
  {(char*)"GetM2", PyvtkImageAutoThresholdColocalization_GetM2, 1,
   (char*)"V.GetM2() -> float\nC++: double GetM2()\n\nManders' original colocalization coefficients M1 and M2 voxels\nbelow threshold\n"},
  {(char*)"SetM2", PyvtkImageAutoThresholdColocalization_SetM2, 1,
   (char*)"V.SetM2(float)\nC++: void SetM2(double a)\n\nManders' original colocalization coefficients M1 and M2 voxels\nbelow threshold\n"},
  {(char*)"GetK1", PyvtkImageAutoThresholdColocalization_GetK1, 1,
   (char*)"V.GetK1() -> float\nC++: double GetK1()\n\nOverlap coefficients k1 and k2\n"},
  {(char*)"SetK1", PyvtkImageAutoThresholdColocalization_SetK1, 1,
   (char*)"V.SetK1(float)\nC++: void SetK1(double a)\n\nOverlap coefficients k1 and k2\n"},
  {(char*)"GetK2", PyvtkImageAutoThresholdColocalization_GetK2, 1,
   (char*)"V.GetK2() -> float\nC++: double GetK2()\n\nOverlap coefficients k1 and k2\n"},
  {(char*)"SetK2", PyvtkImageAutoThresholdColocalization_SetK2, 1,
   (char*)"V.SetK2(float)\nC++: void SetK2(double a)\n\nOverlap coefficients k1 and k2\n"},
  {(char*)"GetThresholdM1", PyvtkImageAutoThresholdColocalization_GetThresholdM1, 1,
   (char*)"V.GetThresholdM1() -> float\nC++: double GetThresholdM1()\n\nManders' colocalization coefficients M1 and M2 for thresholded\nareas\n"},
  {(char*)"SetThresholdM1", PyvtkImageAutoThresholdColocalization_SetThresholdM1, 1,
   (char*)"V.SetThresholdM1(float)\nC++: void SetThresholdM1(double a)\n\nManders' colocalization coefficients M1 and M2 for thresholded\nareas\n"},
  {(char*)"GetThresholdM2", PyvtkImageAutoThresholdColocalization_GetThresholdM2, 1,
   (char*)"V.GetThresholdM2() -> float\nC++: double GetThresholdM2()\n\nManders' colocalization coefficients M1 and M2 for thresholded\nareas\n"},
  {(char*)"SetThresholdM2", PyvtkImageAutoThresholdColocalization_SetThresholdM2, 1,
   (char*)"V.SetThresholdM2(float)\nC++: void SetThresholdM2(double a)\n\nManders' colocalization coefficients M1 and M2 for thresholded\nareas\n"},
  {(char*)"GetC1", PyvtkImageAutoThresholdColocalization_GetC1, 1,
   (char*)"V.GetC1() -> float\nC++: double GetC1()\n\nCostes' colocalization coefficients C1 and C2\n"},
  {(char*)"SetC1", PyvtkImageAutoThresholdColocalization_SetC1, 1,
   (char*)"V.SetC1(float)\nC++: void SetC1(double a)\n\nCostes' colocalization coefficients C1 and C2\n"},
  {(char*)"GetC2", PyvtkImageAutoThresholdColocalization_GetC2, 1,
   (char*)"V.GetC2() -> float\nC++: double GetC2()\n\nCostes' colocalization coefficients C1 and C2\n"},
  {(char*)"SetC2", PyvtkImageAutoThresholdColocalization_SetC2, 1,
   (char*)"V.SetC2(float)\nC++: void SetC2(double a)\n\nCostes' colocalization coefficients C1 and C2\n"},
  {(char*)"GetPercentageVolumeCh1", PyvtkImageAutoThresholdColocalization_GetPercentageVolumeCh1, 1,
   (char*)"V.GetPercentageVolumeCh1() -> float\nC++: double GetPercentageVolumeCh1()\n\nImaris percentage volume\n"},
  {(char*)"SetPercentageVolumeCh1", PyvtkImageAutoThresholdColocalization_SetPercentageVolumeCh1, 1,
   (char*)"V.SetPercentageVolumeCh1(float)\nC++: void SetPercentageVolumeCh1(double a)\n\nImaris percentage volume\n"},
  {(char*)"GetPercentageVolumeCh2", PyvtkImageAutoThresholdColocalization_GetPercentageVolumeCh2, 1,
   (char*)"V.GetPercentageVolumeCh2() -> float\nC++: double GetPercentageVolumeCh2()\n\nImaris percentage volume\n"},
  {(char*)"SetPercentageVolumeCh2", PyvtkImageAutoThresholdColocalization_SetPercentageVolumeCh2, 1,
   (char*)"V.SetPercentageVolumeCh2(float)\nC++: void SetPercentageVolumeCh2(double a)\n\nImaris percentage volume\n"},
  {(char*)"GetPercentageTotalCh1", PyvtkImageAutoThresholdColocalization_GetPercentageTotalCh1, 1,
   (char*)"V.GetPercentageTotalCh1() -> float\nC++: double GetPercentageTotalCh1()\n\nImaris percentage total\n"},
  {(char*)"SetPercentageTotalCh1", PyvtkImageAutoThresholdColocalization_SetPercentageTotalCh1, 1,
   (char*)"V.SetPercentageTotalCh1(float)\nC++: void SetPercentageTotalCh1(double a)\n\nImaris percentage total\n"},
  {(char*)"GetPercentageTotalCh2", PyvtkImageAutoThresholdColocalization_GetPercentageTotalCh2, 1,
   (char*)"V.GetPercentageTotalCh2() -> float\nC++: double GetPercentageTotalCh2()\n\nImaris percentage total\n"},
  {(char*)"SetPercentageTotalCh2", PyvtkImageAutoThresholdColocalization_SetPercentageTotalCh2, 1,
   (char*)"V.SetPercentageTotalCh2(float)\nC++: void SetPercentageTotalCh2(double a)\n\nImaris percentage total\n"},
  {(char*)"GetPercentageMaterialCh1", PyvtkImageAutoThresholdColocalization_GetPercentageMaterialCh1, 1,
   (char*)"V.GetPercentageMaterialCh1() -> float\nC++: double GetPercentageMaterialCh1()\n\nImaris percentage material\n"},
  {(char*)"SetPercentageMaterialCh1", PyvtkImageAutoThresholdColocalization_SetPercentageMaterialCh1, 1,
   (char*)"V.SetPercentageMaterialCh1(float)\nC++: void SetPercentageMaterialCh1(double a)\n\nImaris percentage material\n"},
  {(char*)"GetPercentageMaterialCh2", PyvtkImageAutoThresholdColocalization_GetPercentageMaterialCh2, 1,
   (char*)"V.GetPercentageMaterialCh2() -> float\nC++: double GetPercentageMaterialCh2()\n\nImaris percentage material\n"},
  {(char*)"SetPercentageMaterialCh2", PyvtkImageAutoThresholdColocalization_SetPercentageMaterialCh2, 1,
   (char*)"V.SetPercentageMaterialCh2(float)\nC++: void SetPercentageMaterialCh2(double a)\n\nImaris percentage material\n"},
  {(char*)"GetCh1ThresholdMax", PyvtkImageAutoThresholdColocalization_GetCh1ThresholdMax, 1,
   (char*)"V.GetCh1ThresholdMax() -> float\nC++: double GetCh1ThresholdMax()\n\nMaximum Threshold of Channel 1 and 2\n"},
  {(char*)"SetCh1ThresholdMax", PyvtkImageAutoThresholdColocalization_SetCh1ThresholdMax, 1,
   (char*)"V.SetCh1ThresholdMax(float)\nC++: void SetCh1ThresholdMax(double a)\n\nMaximum Threshold of Channel 1 and 2\n"},
  {(char*)"GetCh2ThresholdMax", PyvtkImageAutoThresholdColocalization_GetCh2ThresholdMax, 1,
   (char*)"V.GetCh2ThresholdMax() -> float\nC++: double GetCh2ThresholdMax()\n\nMaximum Threshold of Channel 1 and 2\n"},
  {(char*)"SetCh2ThresholdMax", PyvtkImageAutoThresholdColocalization_SetCh2ThresholdMax, 1,
   (char*)"V.SetCh2ThresholdMax(float)\nC++: void SetCh2ThresholdMax(double a)\n\nMaximum Threshold of Channel 1 and 2\n"},
  {(char*)"GetSumOverThresholdCh1", PyvtkImageAutoThresholdColocalization_GetSumOverThresholdCh1, 1,
   (char*)"V.GetSumOverThresholdCh1() -> float\nC++: double GetSumOverThresholdCh1()\n\nSum of voxels over threshold for channels 1 and 2\n"},
  {(char*)"SetSumOverThresholdCh1", PyvtkImageAutoThresholdColocalization_SetSumOverThresholdCh1, 1,
   (char*)"V.SetSumOverThresholdCh1(float)\nC++: void SetSumOverThresholdCh1(double a)\n\nSum of voxels over threshold for channels 1 and 2\n"},
  {(char*)"GetSumOverThresholdCh2", PyvtkImageAutoThresholdColocalization_GetSumOverThresholdCh2, 1,
   (char*)"V.GetSumOverThresholdCh2() -> float\nC++: double GetSumOverThresholdCh2()\n\nSum of voxels over threshold for channels 1 and 2\n"},
  {(char*)"SetSumOverThresholdCh2", PyvtkImageAutoThresholdColocalization_SetSumOverThresholdCh2, 1,
   (char*)"V.SetSumOverThresholdCh2(float)\nC++: void SetSumOverThresholdCh2(double a)\n\nSum of voxels over threshold for channels 1 and 2\n"},
  {(char*)"GetSumCh1", PyvtkImageAutoThresholdColocalization_GetSumCh1, 1,
   (char*)"V.GetSumCh1() -> float\nC++: double GetSumCh1()\n\nSum of all voxels for channels 1 and 2\n"},
  {(char*)"SetSumCh1", PyvtkImageAutoThresholdColocalization_SetSumCh1, 1,
   (char*)"V.SetSumCh1(float)\nC++: void SetSumCh1(double a)\n\nSum of all voxels for channels 1 and 2\n"},
  {(char*)"GetSumCh2", PyvtkImageAutoThresholdColocalization_GetSumCh2, 1,
   (char*)"V.GetSumCh2() -> float\nC++: double GetSumCh2()\n\nSum of all voxels for channels 1 and 2\n"},
  {(char*)"SetSumCh2", PyvtkImageAutoThresholdColocalization_SetSumCh2, 1,
   (char*)"V.SetSumCh2(float)\nC++: void SetSumCh2(double a)\n\nSum of all voxels for channels 1 and 2\n"},
  {(char*)"GetSlope", PyvtkImageAutoThresholdColocalization_GetSlope, 1,
   (char*)"V.GetSlope() -> float\nC++: double GetSlope()\n\nSlope of the regression\n"},
  {(char*)"SetSlope", PyvtkImageAutoThresholdColocalization_SetSlope, 1,
   (char*)"V.SetSlope(float)\nC++: void SetSlope(double a)\n\nSlope of the regression\n"},
  {(char*)"GetIntercept", PyvtkImageAutoThresholdColocalization_GetIntercept, 1,
   (char*)"V.GetIntercept() -> float\nC++: double GetIntercept()\n\nIntercept of the regression\n"},
  {(char*)"SetIntercept", PyvtkImageAutoThresholdColocalization_SetIntercept, 1,
   (char*)"V.SetIntercept(float)\nC++: void SetIntercept(double a)\n\nIntercept of the regression\n"},
  {(char*)"GetColocAmount", PyvtkImageAutoThresholdColocalization_GetColocAmount, 1,
   (char*)"V.GetColocAmount() -> float\nC++: double GetColocAmount()\n\nColocalization amount\n"},
  {(char*)"SetColocAmount", PyvtkImageAutoThresholdColocalization_SetColocAmount, 1,
   (char*)"V.SetColocAmount(float)\nC++: void SetColocAmount(double a)\n\nColocalization amount\n"},
  {(char*)"GetColocPercent", PyvtkImageAutoThresholdColocalization_GetColocPercent, 1,
   (char*)"V.GetColocPercent() -> float\nC++: double GetColocPercent()\n\nColocalization percentage\n"},
  {(char*)"SetColocPercent", PyvtkImageAutoThresholdColocalization_SetColocPercent, 1,
   (char*)"V.SetColocPercent(float)\nC++: void SetColocPercent(double a)\n\nColocalization percentage\n"},
  {(char*)"GetDiffStainIntCh1", PyvtkImageAutoThresholdColocalization_GetDiffStainIntCh1, 1,
   (char*)"V.GetDiffStainIntCh1() -> float\nC++: double GetDiffStainIntCh1()\n\nDifferential staining calculated using intensity / voxel amount\n\nDifferential staining Is calculated as the percentage of one\nchannel to another Where the colocalized voxels are subtracted\nfrom the second channel\n\n\n            I_r + I_coloc DiffStain = ------------------\n            I_g - I_coloc Where I_coloc is the sum of intensities\nof colocalized voxels in green channel\n"},
  {(char*)"SetDiffStainIntCh1", PyvtkImageAutoThresholdColocalization_SetDiffStainIntCh1, 1,
   (char*)"V.SetDiffStainIntCh1(float)\nC++: void SetDiffStainIntCh1(double a)\n\nDifferential staining calculated using intensity / voxel amount\n\nDifferential staining Is calculated as the percentage of one\nchannel to another Where the colocalized voxels are subtracted\nfrom the second channel\n\n\n            I_r + I_coloc DiffStain = ------------------\n            I_g - I_coloc Where I_coloc is the sum of intensities\nof colocalized voxels in green channel\n"},
  {(char*)"GetDiffStainVoxelsCh1", PyvtkImageAutoThresholdColocalization_GetDiffStainVoxelsCh1, 1,
   (char*)"V.GetDiffStainVoxelsCh1() -> float\nC++: double GetDiffStainVoxelsCh1()\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"SetDiffStainVoxelsCh1", PyvtkImageAutoThresholdColocalization_SetDiffStainVoxelsCh1, 1,
   (char*)"V.SetDiffStainVoxelsCh1(float)\nC++: void SetDiffStainVoxelsCh1(double a)\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"GetDiffStainIntCh2", PyvtkImageAutoThresholdColocalization_GetDiffStainIntCh2, 1,
   (char*)"V.GetDiffStainIntCh2() -> float\nC++: double GetDiffStainIntCh2()\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"SetDiffStainIntCh2", PyvtkImageAutoThresholdColocalization_SetDiffStainIntCh2, 1,
   (char*)"V.SetDiffStainIntCh2(float)\nC++: void SetDiffStainIntCh2(double a)\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"GetDiffStainVoxelsCh2", PyvtkImageAutoThresholdColocalization_GetDiffStainVoxelsCh2, 1,
   (char*)"V.GetDiffStainVoxelsCh2() -> float\nC++: double GetDiffStainVoxelsCh2()\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"SetDiffStainVoxelsCh2", PyvtkImageAutoThresholdColocalization_SetDiffStainVoxelsCh2, 1,
   (char*)"V.SetDiffStainVoxelsCh2(float)\nC++: void SetDiffStainVoxelsCh2(double a)\n\nDifferential staining calculated using intensity / voxel amount\n"},
  {(char*)"GetLowerThresholdCh1", PyvtkImageAutoThresholdColocalization_GetLowerThresholdCh1, 1,
   (char*)"V.GetLowerThresholdCh1() -> int\nC++: int GetLowerThresholdCh1()\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"SetLowerThresholdCh1", PyvtkImageAutoThresholdColocalization_SetLowerThresholdCh1, 1,
   (char*)"V.SetLowerThresholdCh1(int)\nC++: void SetLowerThresholdCh1(int a)\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"GetLowerThresholdCh2", PyvtkImageAutoThresholdColocalization_GetLowerThresholdCh2, 1,
   (char*)"V.GetLowerThresholdCh2() -> int\nC++: int GetLowerThresholdCh2()\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"SetLowerThresholdCh2", PyvtkImageAutoThresholdColocalization_SetLowerThresholdCh2, 1,
   (char*)"V.SetLowerThresholdCh2(int)\nC++: void SetLowerThresholdCh2(int a)\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"GetUpperThresholdCh1", PyvtkImageAutoThresholdColocalization_GetUpperThresholdCh1, 1,
   (char*)"V.GetUpperThresholdCh1() -> int\nC++: int GetUpperThresholdCh1()\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"SetUpperThresholdCh1", PyvtkImageAutoThresholdColocalization_SetUpperThresholdCh1, 1,
   (char*)"V.SetUpperThresholdCh1(int)\nC++: void SetUpperThresholdCh1(int a)\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"GetUpperThresholdCh2", PyvtkImageAutoThresholdColocalization_GetUpperThresholdCh2, 1,
   (char*)"V.GetUpperThresholdCh2() -> int\nC++: int GetUpperThresholdCh2()\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"SetUpperThresholdCh2", PyvtkImageAutoThresholdColocalization_SetUpperThresholdCh2, 1,
   (char*)"V.SetUpperThresholdCh2(int)\nC++: void SetUpperThresholdCh2(int a)\n\nInstead of calculating thresholds, use the given thresholds\n"},
  {(char*)"SetOverThresholdCh1", PyvtkImageAutoThresholdColocalization_SetOverThresholdCh1, 1,
   (char*)"V.SetOverThresholdCh1(int)\nC++: void SetOverThresholdCh1(int a)\n\nThe number of voxels in channel 1 and 2 that are between the\nlower and upper thresholds.\n"},
  {(char*)"GetOverThresholdCh1", PyvtkImageAutoThresholdColocalization_GetOverThresholdCh1, 1,
   (char*)"V.GetOverThresholdCh1() -> int\nC++: int GetOverThresholdCh1()\n\nThe number of voxels in channel 1 and 2 that are between the\nlower and upper thresholds.\n"},
  {(char*)"SetOverThresholdCh2", PyvtkImageAutoThresholdColocalization_SetOverThresholdCh2, 1,
   (char*)"V.SetOverThresholdCh2(int)\nC++: void SetOverThresholdCh2(int a)\n\nThe number of voxels in channel 1 and 2 that are between the\nlower and upper thresholds.\n"},
  {(char*)"GetOverThresholdCh2", PyvtkImageAutoThresholdColocalization_GetOverThresholdCh2, 1,
   (char*)"V.GetOverThresholdCh2() -> int\nC++: int GetOverThresholdCh2()\n\nThe number of voxels in channel 1 and 2 that are between the\nlower and upper thresholds.\n"},
  {(char*)"SetNonZeroCh1", PyvtkImageAutoThresholdColocalization_SetNonZeroCh1, 1,
   (char*)"V.SetNonZeroCh1(int)\nC++: void SetNonZeroCh1(int a)\n\nThe number of non-zero voxels in channel 1 and 2\n"},
  {(char*)"GetNonZeroCh1", PyvtkImageAutoThresholdColocalization_GetNonZeroCh1, 1,
   (char*)"V.GetNonZeroCh1() -> int\nC++: int GetNonZeroCh1()\n\nThe number of non-zero voxels in channel 1 and 2\n"},
  {(char*)"SetNonZeroCh2", PyvtkImageAutoThresholdColocalization_SetNonZeroCh2, 1,
   (char*)"V.SetNonZeroCh2(int)\nC++: void SetNonZeroCh2(int a)\n\nThe number of non-zero voxels in channel 1 and 2\n"},
  {(char*)"GetNonZeroCh2", PyvtkImageAutoThresholdColocalization_GetNonZeroCh2, 1,
   (char*)"V.GetNonZeroCh2() -> int\nC++: int GetNonZeroCh2()\n\nThe number of non-zero voxels in channel 1 and 2\n"},
  {(char*)"GetCalculateThreshold", PyvtkImageAutoThresholdColocalization_GetCalculateThreshold, 1,
   (char*)"V.GetCalculateThreshold() -> int\nC++: int GetCalculateThreshold()\n\n"},
  {(char*)"SetCalculateThreshold", PyvtkImageAutoThresholdColocalization_SetCalculateThreshold, 1,
   (char*)"V.SetCalculateThreshold(int)\nC++: void SetCalculateThreshold(int a)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageAutoThresholdColocalization_StaticNew()
{
  return vtkImageAutoThresholdColocalization::New();
}

PyObject *PyVTKClass_vtkImageAutoThresholdColocalizationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageAutoThresholdColocalization_StaticNew,
    PyvtkImageAutoThresholdColocalization_Methods,
    "vtkImageAutoThresholdColocalization", modulename,
    NULL, NULL,
    PyvtkImageAutoThresholdColocalization_Doc(),
    PyVTKClass_vtkImageMultipleInputOutputFilterNew(modulename));
  return cls;
}

const char **PyvtkImageAutoThresholdColocalization_Doc()
{
  static const char *docstring[] = {
    "vtkImageAutoThresholdColocalization - Collects data from multiple\ninputs into one image.\n\n",
    "Superclass: vtkImageMultipleInputOutputFilter\n\n",
    "vtkImageAutoThresholdColocalization takes the components from\nmultiple inputs and AutoThresholdColocalizations them into one\noutput. The output images are AutoThresholdColocalization along the\n\"AutoThresholdColocalizationAxis\". Except for the\nAutoThresholdColocalization axis, all inputs must have the same\nextent. All inputs must have the same number of scalar components. A\nfuture extension might b",
    "e to pad or clip inputs to have the same\nextent. The output has the same origin and spacing as the first\ninput. The origin and spacing of all other inputs are ignored.  All\ninputs must have the same scalar type.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageAutoThresholdColocalization(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageAutoThresholdColocalizationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageAutoThresholdColocalization", o) != 0)
    {
    Py_DECREF(o);
    }

}

