// python wrapper for vtkIntensityTransferFunction
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkIntensityTransferFunction.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkIntensityTransferFunction(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkIntensityTransferFunction(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkIntensityTransferFunctionNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkIntensityTransferFunctionNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkPiecewiseFunctionNew
extern "C" { PyObject *PyVTKClass_vtkPiecewiseFunctionNew(const char *); }
#define DECLARED_PyVTKClass_vtkPiecewiseFunctionNew
#endif

static const char **PyvtkIntensityTransferFunction_Doc();


static PyObject *
PyvtkIntensityTransferFunction_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  vtkIntensityTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkIntensityTransferFunction *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkIntensityTransferFunction::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_Initialize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Initialize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Initialize();
      }
    else
      {
      op->vtkIntensityTransferFunction::Initialize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_DeepCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "DeepCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->DeepCopy(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::DeepCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_ShallowCopy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ShallowCopy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  vtkDataObject *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkDataObject"))
    {
    if (ap.IsBound())
      {
      op->ShallowCopy(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::ShallowCopy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetDataObjectType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataObjectType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataObjectType();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetDataObjectType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSize();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_RemoveAllPoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveAllPoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveAllPoints();
      }
    else
      {
      op->vtkIntensityTransferFunction::RemoveAllPoints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetValue(temp0);
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_ComputeFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ComputeFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ComputeFunction();
      }
    else
      {
      op->vtkIntensityTransferFunction::ComputeFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_IsIdentical(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsIdentical");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsIdentical();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::IsIdentical();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetMTime(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMTime");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  unsigned long tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMTime();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetMTime();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetFirstNonZeroValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFirstNonZeroValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFirstNonZeroValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetFirstNonZeroValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetMinimumValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinimumValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMinimumValue(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetMinimumValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetMinimumValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimumValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimumValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetMinimumValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetMaximumValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumValue(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetMaximumValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetMaximumValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetMaximumValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetMinimumThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinimumThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMinimumThreshold(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetMinimumThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetMinimumThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinimumThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMinimumThreshold();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetMinimumThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetMaximumThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumThreshold(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetMaximumThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetMaximumThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumThreshold();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetMaximumThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetRangeMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRangeMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRangeMax(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetRangeMax(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetRangeMax(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRangeMax");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRangeMax();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetRangeMax();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetProcessingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetProcessingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetProcessingThreshold(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetProcessingThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetProcessingThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetProcessingThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetProcessingThreshold();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetProcessingThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetContrast(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetContrast");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetContrast(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetContrast(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetContrastMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContrastMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetContrastMinValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetContrastMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetContrastMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContrastMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetContrastMaxValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetContrastMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetContrast(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetContrast");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetContrast();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetContrast();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetBrightness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBrightness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBrightness(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetBrightness(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetBrightness(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBrightness");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBrightness();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetBrightness();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetGamma(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetGamma(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetGammaMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGammaMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGammaMinValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetGammaMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetGammaMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGammaMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGammaMaxValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetGammaMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGamma();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetGamma();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetSmoothStartGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSmoothStartGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSmoothStartGamma(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetSmoothStartGamma(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothStartGammaMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothStartGammaMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothStartGammaMinValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothStartGammaMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothStartGammaMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothStartGammaMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothStartGammaMaxValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothStartGammaMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothStartGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothStartGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothStartGamma();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothStartGamma();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetSmoothEndGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSmoothEndGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSmoothEndGamma(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetSmoothEndGamma(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothEndGammaMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothEndGammaMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothEndGammaMinValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothEndGammaMinValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothEndGammaMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothEndGammaMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothEndGammaMaxValue();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothEndGammaMaxValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothEndGamma(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothEndGamma");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothEndGamma();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothEndGamma();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetSmoothStart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSmoothStart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSmoothStart(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetSmoothStart(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothStart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothStart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothStart();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothStart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_SetSmoothEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSmoothEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSmoothEnd(temp0);
      }
    else
      {
      op->vtkIntensityTransferFunction::SetSmoothEnd(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetSmoothEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSmoothEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSmoothEnd();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetSmoothEnd();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetGammaStart(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGammaStart");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGammaStart();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetGammaStart();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetGammaEnd(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetGammaEnd");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetGammaEnd();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetGammaEnd();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GetReferencePoint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetReferencePoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int *tempr;
  int sizer = 2;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetReferencePoint();
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GetReferencePoint();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_GammaValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GammaValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  double temp5;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      tempr = op->GammaValue(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::GammaValue(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_f4(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "f4");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  int temp0;
  int temp1;
  int temp2;
  int temp3;
  int temp4;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(5) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4))
    {
    if (ap.IsBound())
      {
      tempr = op->f4(temp0, temp1, temp2, temp3, temp4);
      }
    else
      {
      tempr = op->vtkIntensityTransferFunction::f4(temp0, temp1, temp2, temp3, temp4);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkIntensityTransferFunction_Reset(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Reset");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkIntensityTransferFunction *op = static_cast<vtkIntensityTransferFunction *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Reset();
      }
    else
      {
      op->vtkIntensityTransferFunction::Reset();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkIntensityTransferFunction_Methods[] = {
  {(char*)"GetClassName", PyvtkIntensityTransferFunction_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkIntensityTransferFunction_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkIntensityTransferFunction_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkIntensityTransferFunction\nC++: vtkIntensityTransferFunction *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkIntensityTransferFunction_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkIntensityTransferFunction\nC++: vtkIntensityTransferFunction *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Initialize", PyvtkIntensityTransferFunction_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize()\n\n"},
  {(char*)"DeepCopy", PyvtkIntensityTransferFunction_DeepCopy, 1,
   (char*)"V.DeepCopy(vtkDataObject)\nC++: void DeepCopy(vtkDataObject *f)\n\n"},
  {(char*)"ShallowCopy", PyvtkIntensityTransferFunction_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkDataObject)\nC++: void ShallowCopy(vtkDataObject *f)\n\n"},
  {(char*)"GetDataObjectType", PyvtkIntensityTransferFunction_GetDataObjectType, 1,
   (char*)"V.GetDataObjectType() -> int\nC++: int GetDataObjectType()\n\nReturn what type of dataset this is.\n"},
  {(char*)"GetSize", PyvtkIntensityTransferFunction_GetSize, 1,
   (char*)"V.GetSize() -> int\nC++: int GetSize()\n\nGet the number of points used to specify the function\n"},
  {(char*)"RemoveAllPoints", PyvtkIntensityTransferFunction_RemoveAllPoints, 1,
   (char*)"V.RemoveAllPoints()\nC++: void RemoveAllPoints()\n\nRemoves all points from the function.\n"},
  {(char*)"GetValue", PyvtkIntensityTransferFunction_GetValue, 1,
   (char*)"V.GetValue(int) -> int\nC++: int GetValue(int x)\n\nReturns the value of the function at the specified location using\nthe specified interpolation. Returns zero if the specified\nlocation is outside the min and max points of the function.\n"},
  {(char*)"ComputeFunction", PyvtkIntensityTransferFunction_ComputeFunction, 1,
   (char*)"V.ComputeFunction()\nC++: void ComputeFunction(void)\n\nCalculates the function table based on the Minimum / Maximum\nValue and Threshold and the Brightness, Constrast and Gamma and\nthe Processing Threshold\n"},
  {(char*)"IsIdentical", PyvtkIntensityTransferFunction_IsIdentical, 1,
   (char*)"V.IsIdentical() -> int\nC++: int IsIdentical(void)\n\nReturns true if this is an identical function, i.e. y = x\n"},
  {(char*)"GetMTime", PyvtkIntensityTransferFunction_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: unsigned long GetMTime()\n\nGet the mtime of this object - override to consider the mtime of\nthe source as well.\n"},
  {(char*)"GetFirstNonZeroValue", PyvtkIntensityTransferFunction_GetFirstNonZeroValue, 1,
   (char*)"V.GetFirstNonZeroValue() -> float\nC++: double GetFirstNonZeroValue()\n\nReturns the first point location which precedes a non-zero\nsegment of the function. Note that the value at this point may be\nzero.\n"},
  {(char*)"SetMinimumValue", PyvtkIntensityTransferFunction_SetMinimumValue, 1,
   (char*)"V.SetMinimumValue(int)\nC++: void SetMinimumValue(int a)\n\nSet / Get the minimum value of the function Cannot clamp the\nvalue because the data might be 12- / 16-bit\nvtkSetClampMacro(MinimumValue,int,0,255);\n"},
  {(char*)"GetMinimumValue", PyvtkIntensityTransferFunction_GetMinimumValue, 1,
   (char*)"V.GetMinimumValue() -> int\nC++: int GetMinimumValue()\n\nSet / Get the minimum value of the function Cannot clamp the\nvalue because the data might be 12- / 16-bit\nvtkSetClampMacro(MinimumValue,int,0,255);\n"},
  {(char*)"SetMaximumValue", PyvtkIntensityTransferFunction_SetMaximumValue, 1,
   (char*)"V.SetMaximumValue(int)\nC++: void SetMaximumValue(int a)\n\nSet / Get the maximum value of the function\nvtkSetClampMacro(MaximumValue,int,0,255);\n"},
  {(char*)"GetMaximumValue", PyvtkIntensityTransferFunction_GetMaximumValue, 1,
   (char*)"V.GetMaximumValue() -> int\nC++: int GetMaximumValue()\n\nSet / Get the maximum value of the function\nvtkSetClampMacro(MaximumValue,int,0,255);\n"},
  {(char*)"SetMinimumThreshold", PyvtkIntensityTransferFunction_SetMinimumThreshold, 1,
   (char*)"V.SetMinimumThreshold(int)\nC++: void SetMinimumThreshold(int a)\n\nSet / Get the minimum threshold of the function\nvtkSetClampMacro(MinimumThreshold,int,0,255);\n"},
  {(char*)"GetMinimumThreshold", PyvtkIntensityTransferFunction_GetMinimumThreshold, 1,
   (char*)"V.GetMinimumThreshold() -> int\nC++: int GetMinimumThreshold()\n\nSet / Get the minimum threshold of the function\nvtkSetClampMacro(MinimumThreshold,int,0,255);\n"},
  {(char*)"SetMaximumThreshold", PyvtkIntensityTransferFunction_SetMaximumThreshold, 1,
   (char*)"V.SetMaximumThreshold(int)\nC++: void SetMaximumThreshold(int a)\n\nSet / Get the maximum threshold of the function\nvtkSetClampMacro(MaximumThreshold,int,0,255);\n"},
  {(char*)"GetMaximumThreshold", PyvtkIntensityTransferFunction_GetMaximumThreshold, 1,
   (char*)"V.GetMaximumThreshold() -> int\nC++: int GetMaximumThreshold()\n\nSet / Get the maximum threshold of the function\nvtkSetClampMacro(MaximumThreshold,int,0,255);\n"},
  {(char*)"SetRangeMax", PyvtkIntensityTransferFunction_SetRangeMax, 1,
   (char*)"V.SetRangeMax(int)\nC++: void SetRangeMax(int rmx)\n\n"},
  {(char*)"GetRangeMax", PyvtkIntensityTransferFunction_GetRangeMax, 1,
   (char*)"V.GetRangeMax() -> int\nC++: int GetRangeMax()\n\n"},
  {(char*)"SetProcessingThreshold", PyvtkIntensityTransferFunction_SetProcessingThreshold, 1,
   (char*)"V.SetProcessingThreshold(int)\nC++: void SetProcessingThreshold(int a)\n\nSet / Get the processing threshold of the function, under which\nthe function is identical\nvtkSetClampMacro(ProcessingThreshold,int,0,255);\n"},
  {(char*)"GetProcessingThreshold", PyvtkIntensityTransferFunction_GetProcessingThreshold, 1,
   (char*)"V.GetProcessingThreshold() -> int\nC++: int GetProcessingThreshold()\n\nSet / Get the processing threshold of the function, under which\nthe function is identical\nvtkSetClampMacro(ProcessingThreshold,int,0,255);\n"},
  {(char*)"SetContrast", PyvtkIntensityTransferFunction_SetContrast, 1,
   (char*)"V.SetContrast(float)\nC++: void SetContrast(double)\n\nSet / Get the contrast\n"},
  {(char*)"GetContrastMinValue", PyvtkIntensityTransferFunction_GetContrastMinValue, 1,
   (char*)"V.GetContrastMinValue() -> float\nC++: double GetContrastMinValue()\n\nSet / Get the contrast\n"},
  {(char*)"GetContrastMaxValue", PyvtkIntensityTransferFunction_GetContrastMaxValue, 1,
   (char*)"V.GetContrastMaxValue() -> float\nC++: double GetContrastMaxValue()\n\nSet / Get the contrast\n"},
  {(char*)"GetContrast", PyvtkIntensityTransferFunction_GetContrast, 1,
   (char*)"V.GetContrast() -> float\nC++: double GetContrast()\n\nSet / Get the contrast\n"},
  {(char*)"SetBrightness", PyvtkIntensityTransferFunction_SetBrightness, 1,
   (char*)"V.SetBrightness(int)\nC++: void SetBrightness(int a)\n\nSet / Get the brightness\nvtkSetClampMacro(Brightness,int,-255,255);\n"},
  {(char*)"GetBrightness", PyvtkIntensityTransferFunction_GetBrightness, 1,
   (char*)"V.GetBrightness() -> int\nC++: int GetBrightness()\n\nSet / Get the brightness\nvtkSetClampMacro(Brightness,int,-255,255);\n"},
  {(char*)"SetGamma", PyvtkIntensityTransferFunction_SetGamma, 1,
   (char*)"V.SetGamma(float)\nC++: void SetGamma(double)\n\nSet / Get the gamma\n"},
  {(char*)"GetGammaMinValue", PyvtkIntensityTransferFunction_GetGammaMinValue, 1,
   (char*)"V.GetGammaMinValue() -> float\nC++: double GetGammaMinValue()\n\nSet / Get the gamma\n"},
  {(char*)"GetGammaMaxValue", PyvtkIntensityTransferFunction_GetGammaMaxValue, 1,
   (char*)"V.GetGammaMaxValue() -> float\nC++: double GetGammaMaxValue()\n\nSet / Get the gamma\n"},
  {(char*)"GetGamma", PyvtkIntensityTransferFunction_GetGamma, 1,
   (char*)"V.GetGamma() -> float\nC++: double GetGamma()\n\nSet / Get the gamma\n"},
  {(char*)"SetSmoothStartGamma", PyvtkIntensityTransferFunction_SetSmoothStartGamma, 1,
   (char*)"V.SetSmoothStartGamma(float)\nC++: void SetSmoothStartGamma(double)\n\nSet / Get the smooth start gamma\n"},
  {(char*)"GetSmoothStartGammaMinValue", PyvtkIntensityTransferFunction_GetSmoothStartGammaMinValue, 1,
   (char*)"V.GetSmoothStartGammaMinValue() -> float\nC++: double GetSmoothStartGammaMinValue()\n\nSet / Get the smooth start gamma\n"},
  {(char*)"GetSmoothStartGammaMaxValue", PyvtkIntensityTransferFunction_GetSmoothStartGammaMaxValue, 1,
   (char*)"V.GetSmoothStartGammaMaxValue() -> float\nC++: double GetSmoothStartGammaMaxValue()\n\nSet / Get the smooth start gamma\n"},
  {(char*)"GetSmoothStartGamma", PyvtkIntensityTransferFunction_GetSmoothStartGamma, 1,
   (char*)"V.GetSmoothStartGamma() -> float\nC++: double GetSmoothStartGamma()\n\nSet / Get the smooth start gamma\n"},
  {(char*)"SetSmoothEndGamma", PyvtkIntensityTransferFunction_SetSmoothEndGamma, 1,
   (char*)"V.SetSmoothEndGamma(float)\nC++: void SetSmoothEndGamma(double)\n\nSet / Get the smooth end gamma\n"},
  {(char*)"GetSmoothEndGammaMinValue", PyvtkIntensityTransferFunction_GetSmoothEndGammaMinValue, 1,
   (char*)"V.GetSmoothEndGammaMinValue() -> float\nC++: double GetSmoothEndGammaMinValue()\n\nSet / Get the smooth end gamma\n"},
  {(char*)"GetSmoothEndGammaMaxValue", PyvtkIntensityTransferFunction_GetSmoothEndGammaMaxValue, 1,
   (char*)"V.GetSmoothEndGammaMaxValue() -> float\nC++: double GetSmoothEndGammaMaxValue()\n\nSet / Get the smooth end gamma\n"},
  {(char*)"GetSmoothEndGamma", PyvtkIntensityTransferFunction_GetSmoothEndGamma, 1,
   (char*)"V.GetSmoothEndGamma() -> float\nC++: double GetSmoothEndGamma()\n\nSet / Get the smooth end gamma\n"},
  {(char*)"SetSmoothStart", PyvtkIntensityTransferFunction_SetSmoothStart, 1,
   (char*)"V.SetSmoothStart(int)\nC++: void SetSmoothStart(int a)\n\nSet / Get the smooth start\nvtkSetClampMacro(SmoothStart,int,0,255);\n"},
  {(char*)"GetSmoothStart", PyvtkIntensityTransferFunction_GetSmoothStart, 1,
   (char*)"V.GetSmoothStart() -> int\nC++: int GetSmoothStart()\n\nSet / Get the smooth start\nvtkSetClampMacro(SmoothStart,int,0,255);\n"},
  {(char*)"SetSmoothEnd", PyvtkIntensityTransferFunction_SetSmoothEnd, 1,
   (char*)"V.SetSmoothEnd(int)\nC++: void SetSmoothEnd(int a)\n\nSet / Get the smooth end vtkSetClampMacro(SmoothEnd,int,0,255);\n"},
  {(char*)"GetSmoothEnd", PyvtkIntensityTransferFunction_GetSmoothEnd, 1,
   (char*)"V.GetSmoothEnd() -> int\nC++: int GetSmoothEnd()\n\nSet / Get the smooth end vtkSetClampMacro(SmoothEnd,int,0,255);\n"},
  {(char*)"GetGammaStart", PyvtkIntensityTransferFunction_GetGammaStart, 1,
   (char*)"V.GetGammaStart() -> (int, int)\nC++: int *GetGammaStart()\n\n"},
  {(char*)"GetGammaEnd", PyvtkIntensityTransferFunction_GetGammaEnd, 1,
   (char*)"V.GetGammaEnd() -> (int, int)\nC++: int *GetGammaEnd()\n\n"},
  {(char*)"GetReferencePoint", PyvtkIntensityTransferFunction_GetReferencePoint, 1,
   (char*)"V.GetReferencePoint() -> (int, int)\nC++: int *GetReferencePoint()\n\n"},
  {(char*)"GammaValue", PyvtkIntensityTransferFunction_GammaValue, 1,
   (char*)"V.GammaValue(int, int, int, int, int, float) -> int\nC++: int GammaValue(int x0, int y0, int x1, int y1, int x,\n    double gamma)\n\nA method that returns the y from the following formula:\n                      (y2-y1)\n              y =   ---------- * (x-x1)^g +y1\n                     (x2-x1)^g\n\n\n               I.e the y coord of the gamma curve at point x,\nwhen the gamma\n               curve starts at (x0,y0) and ends at (x1,y1) and\nthe gamma\n               value is g\n\n\n     Parameters:\n             x0,y0   The starting point of the gamma curve\n             x1,y1   The end point of the gamma curve\n             x       The point from which we want the gamma\ncurves y coord\n             g       The gamma value\n"},
  {(char*)"f4", PyvtkIntensityTransferFunction_f4, 1,
   (char*)"V.f4(int, int, int, int, int) -> int\nC++: int f4(int x, int gx1, int gy1, int gx2, int gy2)\n\n"},
  {(char*)"Reset", PyvtkIntensityTransferFunction_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset(void)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkIntensityTransferFunction_StaticNew()
{
  return vtkIntensityTransferFunction::New();
}

PyObject *PyVTKClass_vtkIntensityTransferFunctionNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkIntensityTransferFunction_StaticNew,
    PyvtkIntensityTransferFunction_Methods,
    "vtkIntensityTransferFunction", modulename,
    NULL, NULL,
    PyvtkIntensityTransferFunction_Doc(),
    PyVTKClass_vtkPiecewiseFunctionNew(modulename));
  return cls;
}

const char **PyvtkIntensityTransferFunction_Doc()
{
  static const char *docstring[] = {
    "vtkIntensityTransferFunction - Defines a 1D piecewise function for\nprocessing a volume's intensity\n\n",
    "Superclass: vtkPiecewiseFunction\n\n",
    "Defines a piecewise linear function mapping. Used for transfer\nfunctions in volume rendering.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkIntensityTransferFunction(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkIntensityTransferFunctionNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkIntensityTransferFunction", o) != 0)
    {
    Py_DECREF(o);
    }

}

