// python wrapper for vtkExtTIFFReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkExtTIFFReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkExtTIFFReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkExtTIFFReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExtTIFFReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExtTIFFReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageReader2New
extern "C" { PyObject *PyVTKClass_vtkImageReader2New(const char *); }
#define DECLARED_PyVTKClass_vtkImageReader2New
#endif

static const char **PyvtkExtTIFFReader_Doc();


static PyObject *
PyvtkExtTIFFReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkExtTIFFReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  vtkExtTIFFReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkExtTIFFReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkExtTIFFReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_CanReadFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "CanReadFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->CanReadFile(temp0);
      }
    else
      {
      tempr = op->vtkExtTIFFReader::CanReadFile(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileExtensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileExtensions();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetFileExtensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_GetDescriptiveName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDescriptiveName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDescriptiveName();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetDescriptiveName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_InitializeColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "InitializeColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->InitializeColors();
      }
    else
      {
      op->vtkExtTIFFReader::InitializeColors();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_SetRawMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRawMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRawMode(temp0);
      }
    else
      {
      op->vtkExtTIFFReader::SetRawMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_GetRawMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRawMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRawMode();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetRawMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_RawModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RawModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RawModeOn();
      }
    else
      {
      op->vtkExtTIFFReader::RawModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_RawModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RawModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RawModeOff();
      }
    else
      {
      op->vtkExtTIFFReader::RawModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_GetInternalImage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInternalImage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  vtkExtTIFFReaderInternal *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInternalImage();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetInternalImage();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkExtTIFFReader_GetNumberOfSubFiles(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfSubFiles");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkExtTIFFReader *op = static_cast<vtkExtTIFFReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfSubFiles();
      }
    else
      {
      tempr = op->vtkExtTIFFReader::GetNumberOfSubFiles();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkExtTIFFReader_Methods[] = {
  {(char*)"GetClassName", PyvtkExtTIFFReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkExtTIFFReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkExtTIFFReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExtTIFFReader\nC++: vtkExtTIFFReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkExtTIFFReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExtTIFFReader\nC++: vtkExtTIFFReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"CanReadFile", PyvtkExtTIFFReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: virtual int CanReadFile(const char *fname)\n\nIs the given file name a tiff file file?\n"},
  {(char*)"GetFileExtensions", PyvtkExtTIFFReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: virtual const char *GetFileExtensions()\n\nGet the file extensions for this format. Returns a string with a\nspace separated list of extensions in the format .extension\n"},
  {(char*)"GetDescriptiveName", PyvtkExtTIFFReader_GetDescriptiveName, 1,
   (char*)"V.GetDescriptiveName() -> string\nC++: virtual const char *GetDescriptiveName()\n\nReturn a descriptive name for the file format that might be\nuseful in a GUI.\n"},
  {(char*)"InitializeColors", PyvtkExtTIFFReader_InitializeColors, 1,
   (char*)"V.InitializeColors()\nC++: void InitializeColors()\n\nAuxilary methods used by the reader internally.\n"},
  {(char*)"SetRawMode", PyvtkExtTIFFReader_SetRawMode, 1,
   (char*)"V.SetRawMode(int)\nC++: void SetRawMode(int a)\n\n"},
  {(char*)"GetRawMode", PyvtkExtTIFFReader_GetRawMode, 1,
   (char*)"V.GetRawMode() -> int\nC++: int GetRawMode()\n\n"},
  {(char*)"RawModeOn", PyvtkExtTIFFReader_RawModeOn, 1,
   (char*)"V.RawModeOn()\nC++: void RawModeOn()\n\n"},
  {(char*)"RawModeOff", PyvtkExtTIFFReader_RawModeOff, 1,
   (char*)"V.RawModeOff()\nC++: void RawModeOff()\n\n"},
  {(char*)"GetInternalImage", PyvtkExtTIFFReader_GetInternalImage, 1,
   (char*)"V.GetInternalImage() -> vtkExtTIFFReaderInternal\nC++: vtkExtTIFFReaderInternal *GetInternalImage()\n\nMethod to access internal image. Not to be used outside the\nclass.\n"},
  {(char*)"GetNumberOfSubFiles", PyvtkExtTIFFReader_GetNumberOfSubFiles, 1,
   (char*)"V.GetNumberOfSubFiles() -> int\nC++: int GetNumberOfSubFiles()\n\nMethod to check if set TIFF file is multipage\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkExtTIFFReader_StaticNew()
{
  return vtkExtTIFFReader::New();
}

PyObject *PyVTKClass_vtkExtTIFFReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkExtTIFFReader_StaticNew,
    PyvtkExtTIFFReader_Methods,
    "vtkExtTIFFReader", modulename,
    NULL, NULL,
    PyvtkExtTIFFReader_Doc(),
    PyVTKClass_vtkImageReader2New(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"NOFORMAT", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"RGB", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"GRAYSCALE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"PALETTE_RGB", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"PALETTE_GRAYSCALE", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"OTHER", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkExtTIFFReader_Doc()
{
  static const char *docstring[] = {
    "vtkExtTIFFReader - read TIFF files\n\n",
    "Superclass: vtkImageReader2\n\n",
    "vtkExtTIFFReader is a source object that reads TIFF files. It should\nbe able to read most any TIFF file\n\nSee Also:\n\nvtkTIFFWriter\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkExtTIFFReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkExtTIFFReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkExtTIFFReader", o) != 0)
    {
    Py_DECREF(o);
    }

}

