// python wrapper for vtkLSMReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkLSMReader.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkLSMReader(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkLSMReader(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLSMReaderNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLSMReaderNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageAlgorithmNew
#endif

static const char **PyvtkLSMReader_Doc();


static PyObject *
PyvtkLSMReader_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkLSMReader::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkLSMReader::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  vtkLSMReader *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkLSMReader::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkLSMReader *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkLSMReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetFileExtensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileExtensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileExtensions();
      }
    else
      {
      tempr = op->vtkLSMReader::GetFileExtensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetHeaderIdentifier(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHeaderIdentifier");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHeaderIdentifier();
      }
    else
      {
      tempr = op->vtkLSMReader::GetHeaderIdentifier();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_IsValidLSMFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsValidLSMFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsValidLSMFile();
      }
    else
      {
      tempr = op->vtkLSMReader::IsValidLSMFile();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_IsCompressed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsCompressed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsCompressed();
      }
    else
      {
      tempr = op->vtkLSMReader::IsCompressed();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetNumberOfTimePoints(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfTimePoints");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfTimePoints();
      }
    else
      {
      tempr = op->vtkLSMReader::GetNumberOfTimePoints();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetNumberOfChannels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfChannels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfChannels();
      }
    else
      {
      tempr = op->vtkLSMReader::GetNumberOfChannels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_OpenFile(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OpenFile");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->OpenFile();
      }
    else
      {
      tempr = op->vtkLSMReader::OpenFile();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetChannelColorComponent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChannelColorComponent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  int temp1;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChannelColorComponent(temp0, temp1);
      }
    else
      {
      tempr = op->vtkLSMReader::GetChannelColorComponent(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetChannelName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChannelName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChannelName(temp0);
      }
    else
      {
      tempr = op->vtkLSMReader::GetChannelName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFileName(temp0);
      }
    else
      {
      op->vtkLSMReader::SetFileName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetUpdateTimePoint(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpdateTimePoint");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpdateTimePoint(temp0);
      }
    else
      {
      op->vtkLSMReader::SetUpdateTimePoint(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetUpdateChannel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetUpdateChannel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetUpdateChannel(temp0);
      }
    else
      {
      op->vtkLSMReader::SetUpdateChannel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetDataByteOrderToBigEndian(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataByteOrderToBigEndian");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetDataByteOrderToBigEndian();
      }
    else
      {
      op->vtkLSMReader::SetDataByteOrderToBigEndian();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetDataByteOrderToLittleEndian(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataByteOrderToLittleEndian");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetDataByteOrderToLittleEndian();
      }
    else
      {
      op->vtkLSMReader::SetDataByteOrderToLittleEndian();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetDataByteOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDataByteOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDataByteOrder(temp0);
      }
    else
      {
      op->vtkLSMReader::SetDataByteOrder(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDataByteOrder(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataByteOrder");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataByteOrder();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDataByteOrder();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDataByteOrderAsString(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataByteOrderAsString");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataByteOrderAsString();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDataByteOrderAsString();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SetSwapBytes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSwapBytes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSwapBytes(temp0);
      }
    else
      {
      op->vtkLSMReader::SetSwapBytes(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetSwapBytes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSwapBytes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSwapBytes();
      }
    else
      {
      tempr = op->vtkLSMReader::GetSwapBytes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SwapBytesOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SwapBytesOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SwapBytesOn();
      }
    else
      {
      op->vtkLSMReader::SwapBytesOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_SwapBytesOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SwapBytesOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SwapBytesOff();
      }
    else
      {
      op->vtkLSMReader::SwapBytesOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDataTypeForChannel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataTypeForChannel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataTypeForChannel(temp0);
      }
    else
      {
      tempr = op->vtkLSMReader::GetDataTypeForChannel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetObjective(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetObjective");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetObjective();
      }
    else
      {
      tempr = op->vtkLSMReader::GetObjective();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDescription(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDescription");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDescription();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDescription();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFileName();
      }
    else
      {
      tempr = op->vtkLSMReader::GetFileName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetVoxelSizes(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVoxelSizes");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVoxelSizes();
      }
    else
      {
      tempr = op->vtkLSMReader::GetVoxelSizes();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDimensions(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDimensions");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int *tempr;
  int sizer = 5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDimensions();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDimensions();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetNumberOfIntensityValues(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfIntensityValues");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int *tempr;
  int sizer = 4;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfIntensityValues();
      }
    else
      {
      tempr = op->vtkLSMReader::GetNumberOfIntensityValues();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDataSpacing(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataSpacing");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  double *tempr;
  int sizer = 3;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataSpacing();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDataSpacing();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildTuple(tempr, sizer);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetIdentifier(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIdentifier");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned short tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIdentifier();
      }
    else
      {
      tempr = op->vtkLSMReader::GetIdentifier();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetNewSubFileType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNewSubFileType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNewSubFileType();
      }
    else
      {
      tempr = op->vtkLSMReader::GetNewSubFileType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetCompression(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCompression");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCompression();
      }
    else
      {
      tempr = op->vtkLSMReader::GetCompression();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetSamplesPerPixel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSamplesPerPixel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetSamplesPerPixel();
      }
    else
      {
      tempr = op->vtkLSMReader::GetSamplesPerPixel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetScanType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetScanType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned short tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetScanType();
      }
    else
      {
      tempr = op->vtkLSMReader::GetScanType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetDataType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDataType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetDataType();
      }
    else
      {
      tempr = op->vtkLSMReader::GetDataType();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetTimeInterval(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeInterval");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeInterval();
      }
    else
      {
      tempr = op->vtkLSMReader::GetTimeInterval();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetTimeStampInformation(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimeStampInformation");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  vtkDoubleArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimeStampInformation();
      }
    else
      {
      tempr = op->vtkLSMReader::GetTimeStampInformation();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetChannelColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetChannelColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  vtkIntArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetChannelColors();
      }
    else
      {
      tempr = op->vtkLSMReader::GetChannelColors();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetTrackWavelengths(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTrackWavelengths");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  vtkDoubleArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTrackWavelengths();
      }
    else
      {
      tempr = op->vtkLSMReader::GetTrackWavelengths();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetUpdateChannel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetUpdateChannel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetUpdateChannel();
      }
    else
      {
      tempr = op->vtkLSMReader::GetUpdateChannel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkLSMReader_GetTimePointOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTimePointOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkLSMReader *op = static_cast<vtkLSMReader *>(vp);

  int temp0;
  int temp1;
  vtkImageData *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      tempr = op->GetTimePointOutput(temp0, temp1);
      }
    else
      {
      tempr = op->vtkLSMReader::GetTimePointOutput(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkLSMReader_Methods[] = {
  {(char*)"GetClassName", PyvtkLSMReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkLSMReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkLSMReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLSMReader\nC++: vtkLSMReader *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkLSMReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLSMReader\nC++: vtkLSMReader *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetFileExtensions", PyvtkLSMReader_GetFileExtensions, 1,
   (char*)"V.GetFileExtensions() -> string\nC++: const char *GetFileExtensions()\n\nGet the file extensions for this format. Returns a string with a\nspace separated list of extensions in the format .extension\n"},
  {(char*)"GetHeaderIdentifier", PyvtkLSMReader_GetHeaderIdentifier, 1,
   (char*)"V.GetHeaderIdentifier() -> int\nC++: int GetHeaderIdentifier()\n\n"},
  {(char*)"IsValidLSMFile", PyvtkLSMReader_IsValidLSMFile, 1,
   (char*)"V.IsValidLSMFile() -> int\nC++: int IsValidLSMFile()\n\n"},
  {(char*)"IsCompressed", PyvtkLSMReader_IsCompressed, 1,
   (char*)"V.IsCompressed() -> int\nC++: int IsCompressed()\n\n"},
  {(char*)"GetNumberOfTimePoints", PyvtkLSMReader_GetNumberOfTimePoints, 1,
   (char*)"V.GetNumberOfTimePoints() -> int\nC++: int GetNumberOfTimePoints()\n\n"},
  {(char*)"GetNumberOfChannels", PyvtkLSMReader_GetNumberOfChannels, 1,
   (char*)"V.GetNumberOfChannels() -> int\nC++: int GetNumberOfChannels()\n\n"},
  {(char*)"OpenFile", PyvtkLSMReader_OpenFile, 1,
   (char*)"V.OpenFile() -> int\nC++: int OpenFile()\n\n"},
  {(char*)"GetChannelColorComponent", PyvtkLSMReader_GetChannelColorComponent, 1,
   (char*)"V.GetChannelColorComponent(int, int) -> int\nC++: int GetChannelColorComponent(int, int)\n\n"},
  {(char*)"GetChannelName", PyvtkLSMReader_GetChannelName, 1,
   (char*)"V.GetChannelName(int) -> string\nC++: char *GetChannelName(int)\n\n"},
  {(char*)"SetFileName", PyvtkLSMReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: void SetFileName(const char *)\n\n"},
  {(char*)"SetUpdateTimePoint", PyvtkLSMReader_SetUpdateTimePoint, 1,
   (char*)"V.SetUpdateTimePoint(int)\nC++: void SetUpdateTimePoint(int)\n\n"},
  {(char*)"SetUpdateChannel", PyvtkLSMReader_SetUpdateChannel, 1,
   (char*)"V.SetUpdateChannel(int)\nC++: void SetUpdateChannel(int)\n\n"},
  {(char*)"SetDataByteOrderToBigEndian", PyvtkLSMReader_SetDataByteOrderToBigEndian, 1,
   (char*)"V.SetDataByteOrderToBigEndian()\nC++: void SetDataByteOrderToBigEndian()\n\n"},
  {(char*)"SetDataByteOrderToLittleEndian", PyvtkLSMReader_SetDataByteOrderToLittleEndian, 1,
   (char*)"V.SetDataByteOrderToLittleEndian()\nC++: void SetDataByteOrderToLittleEndian()\n\n"},
  {(char*)"SetDataByteOrder", PyvtkLSMReader_SetDataByteOrder, 1,
   (char*)"V.SetDataByteOrder(int)\nC++: void SetDataByteOrder(int)\n\n"},
  {(char*)"GetDataByteOrder", PyvtkLSMReader_GetDataByteOrder, 1,
   (char*)"V.GetDataByteOrder() -> int\nC++: int GetDataByteOrder()\n\n"},
  {(char*)"GetDataByteOrderAsString", PyvtkLSMReader_GetDataByteOrderAsString, 1,
   (char*)"V.GetDataByteOrderAsString() -> string\nC++: const char *GetDataByteOrderAsString()\n\n"},
  {(char*)"SetSwapBytes", PyvtkLSMReader_SetSwapBytes, 1,
   (char*)"V.SetSwapBytes(int)\nC++: void SetSwapBytes(int a)\n\nSet/Get the byte swapping to explicitly swap the bytes of a file.\n"},
  {(char*)"GetSwapBytes", PyvtkLSMReader_GetSwapBytes, 1,
   (char*)"V.GetSwapBytes() -> int\nC++: virtual int GetSwapBytes()\n\nSet/Get the byte swapping to explicitly swap the bytes of a file.\n"},
  {(char*)"SwapBytesOn", PyvtkLSMReader_SwapBytesOn, 1,
   (char*)"V.SwapBytesOn()\nC++: void SwapBytesOn()\n\nSet/Get the byte swapping to explicitly swap the bytes of a file.\n"},
  {(char*)"SwapBytesOff", PyvtkLSMReader_SwapBytesOff, 1,
   (char*)"V.SwapBytesOff()\nC++: void SwapBytesOff()\n\nSet/Get the byte swapping to explicitly swap the bytes of a file.\n"},
  {(char*)"GetDataTypeForChannel", PyvtkLSMReader_GetDataTypeForChannel, 1,
   (char*)"V.GetDataTypeForChannel(int) -> int\nC++: int GetDataTypeForChannel(unsigned int channel)\n\n"},
  {(char*)"GetObjective", PyvtkLSMReader_GetObjective, 1,
   (char*)"V.GetObjective() -> string\nC++: char *GetObjective()\n\n"},
  {(char*)"GetDescription", PyvtkLSMReader_GetDescription, 1,
   (char*)"V.GetDescription() -> string\nC++: char *GetDescription()\n\n"},
  {(char*)"GetFileName", PyvtkLSMReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName()\n\n"},
  {(char*)"GetVoxelSizes", PyvtkLSMReader_GetVoxelSizes, 1,
   (char*)"V.GetVoxelSizes() -> (float, float, float)\nC++: double *GetVoxelSizes()\n\n"},
  {(char*)"GetDimensions", PyvtkLSMReader_GetDimensions, 1,
   (char*)"V.GetDimensions() -> (int, int, int, int, int)\nC++: int *GetDimensions()\n\n"},
  {(char*)"GetNumberOfIntensityValues", PyvtkLSMReader_GetNumberOfIntensityValues, 1,
   (char*)"V.GetNumberOfIntensityValues() -> (int, int, int, int)\nC++: int *GetNumberOfIntensityValues()\n\n"},
  {(char*)"GetDataSpacing", PyvtkLSMReader_GetDataSpacing, 1,
   (char*)"V.GetDataSpacing() -> (float, float, float)\nC++: double *GetDataSpacing()\n\n"},
  {(char*)"GetIdentifier", PyvtkLSMReader_GetIdentifier, 1,
   (char*)"V.GetIdentifier() -> int\nC++: unsigned short GetIdentifier()\n\n"},
  {(char*)"GetNewSubFileType", PyvtkLSMReader_GetNewSubFileType, 1,
   (char*)"V.GetNewSubFileType() -> int\nC++: unsigned int GetNewSubFileType()\n\n"},
  {(char*)"GetCompression", PyvtkLSMReader_GetCompression, 1,
   (char*)"V.GetCompression() -> int\nC++: unsigned int GetCompression()\n\n"},
  {(char*)"GetSamplesPerPixel", PyvtkLSMReader_GetSamplesPerPixel, 1,
   (char*)"V.GetSamplesPerPixel() -> int\nC++: unsigned int GetSamplesPerPixel()\n\n"},
  {(char*)"GetScanType", PyvtkLSMReader_GetScanType, 1,
   (char*)"V.GetScanType() -> int\nC++: unsigned short GetScanType()\n\n"},
  {(char*)"GetDataType", PyvtkLSMReader_GetDataType, 1,
   (char*)"V.GetDataType() -> int\nC++: int GetDataType()\n\n"},
  {(char*)"GetTimeInterval", PyvtkLSMReader_GetTimeInterval, 1,
   (char*)"V.GetTimeInterval() -> float\nC++: double GetTimeInterval()\n\n"},
  {(char*)"GetTimeStampInformation", PyvtkLSMReader_GetTimeStampInformation, 1,
   (char*)"V.GetTimeStampInformation() -> vtkDoubleArray\nC++: vtkDoubleArray *GetTimeStampInformation()\n\n"},
  {(char*)"GetChannelColors", PyvtkLSMReader_GetChannelColors, 1,
   (char*)"V.GetChannelColors() -> vtkIntArray\nC++: vtkIntArray *GetChannelColors()\n\n"},
  {(char*)"GetTrackWavelengths", PyvtkLSMReader_GetTrackWavelengths, 1,
   (char*)"V.GetTrackWavelengths() -> vtkDoubleArray\nC++: vtkDoubleArray *GetTrackWavelengths()\n\n"},
  {(char*)"GetUpdateChannel", PyvtkLSMReader_GetUpdateChannel, 1,
   (char*)"V.GetUpdateChannel() -> int\nC++: unsigned int GetUpdateChannel()\n\n"},
  {(char*)"GetTimePointOutput", PyvtkLSMReader_GetTimePointOutput, 1,
   (char*)"V.GetTimePointOutput(int, int) -> vtkImageData\nC++: vtkImageData *GetTimePointOutput(int, int)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkLSMReader_StaticNew()
{
  return vtkLSMReader::New();
}

PyObject *PyVTKClass_vtkLSMReaderNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkLSMReader_StaticNew,
    PyvtkLSMReader_Methods,
    "vtkLSMReader", modulename,
    NULL, NULL,
    PyvtkLSMReader_Doc(),
    PyVTKClass_vtkImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkLSMReader_Doc()
{
  static const char *docstring[] = {
    "vtkLSMReader - read LSM files\n\n",
    "Superclass: vtkImageAlgorithm\n\n",
    "vtkLSMReader is a source object that reads LSM files. It should be\nable to read most any LSM file\n\nThanks:\n\nThis class was developed as a part of the BioImageXD Project. The\nBioImageXD project includes the following people:\n\nDan White <dan@chalkie.org.uk> Kalle Pahajoki <kalpaha@st.jyu.fi>\nPasi Kankaanp\377\377 <ppkank@bytl.jyu.fi>\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkLSMReader(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkLSMReaderNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkLSMReader", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(0);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_FILE_BYTE_ORDER_BIG_ENDIAN", o) != 0)
    {
    Py_DECREF(o);
    }

  o = PyInt_FromLong(1);
  if (o && PyDict_SetItemString(dict, (char *)"VTK_FILE_BYTE_ORDER_LITTLE_ENDIAN", o) != 0)
    {
    Py_DECREF(o);
    }

}

