// python wrapper for vtkImageAlphaFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageAlphaFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageAlphaFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageAlphaFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageAlphaFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageAlphaFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageMultipleInputFilterNew
extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageMultipleInputFilterNew
#endif

static const char **PyvtkImageAlphaFilter_Doc();


static PyObject *
PyvtkImageAlphaFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  vtkImageAlphaFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageAlphaFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageAlphaFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_MaximumModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MaximumModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MaximumModeOn();
      }
    else
      {
      op->vtkImageAlphaFilter::MaximumModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_MaximumModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MaximumModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MaximumModeOff();
      }
    else
      {
      op->vtkImageAlphaFilter::MaximumModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_SetMaximumMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumMode(temp0);
      }
    else
      {
      op->vtkImageAlphaFilter::SetMaximumMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_GetMaximumMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumMode();
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::GetMaximumMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_AverageModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AverageModeOn();
      }
    else
      {
      op->vtkImageAlphaFilter::AverageModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_AverageModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AverageModeOff();
      }
    else
      {
      op->vtkImageAlphaFilter::AverageModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_SetAverageMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageMode(temp0);
      }
    else
      {
      op->vtkImageAlphaFilter::SetAverageMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_GetAverageMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageMode();
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::GetAverageMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_SetAverageThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageThreshold(temp0);
      }
    else
      {
      op->vtkImageAlphaFilter::SetAverageThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageAlphaFilter_GetAverageThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageAlphaFilter *op = static_cast<vtkImageAlphaFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageThreshold();
      }
    else
      {
      tempr = op->vtkImageAlphaFilter::GetAverageThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageAlphaFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkImageAlphaFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageAlphaFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageAlphaFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageAlphaFilter\nC++: vtkImageAlphaFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageAlphaFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageAlphaFilter\nC++: vtkImageAlphaFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"MaximumModeOn", PyvtkImageAlphaFilter_MaximumModeOn, 1,
   (char*)"V.MaximumModeOn()\nC++: void MaximumModeOn()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"MaximumModeOff", PyvtkImageAlphaFilter_MaximumModeOff, 1,
   (char*)"V.MaximumModeOff()\nC++: void MaximumModeOff()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"SetMaximumMode", PyvtkImageAlphaFilter_SetMaximumMode, 1,
   (char*)"V.SetMaximumMode(int)\nC++: void SetMaximumMode(int a)\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"GetMaximumMode", PyvtkImageAlphaFilter_GetMaximumMode, 1,
   (char*)"V.GetMaximumMode() -> int\nC++: int GetMaximumMode()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"AverageModeOn", PyvtkImageAlphaFilter_AverageModeOn, 1,
   (char*)"V.AverageModeOn()\nC++: void AverageModeOn()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"AverageModeOff", PyvtkImageAlphaFilter_AverageModeOff, 1,
   (char*)"V.AverageModeOff()\nC++: void AverageModeOff()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"SetAverageMode", PyvtkImageAlphaFilter_SetAverageMode, 1,
   (char*)"V.SetAverageMode(int)\nC++: void SetAverageMode(int a)\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"GetAverageMode", PyvtkImageAlphaFilter_GetAverageMode, 1,
   (char*)"V.GetAverageMode() -> int\nC++: int GetAverageMode()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"SetAverageThreshold", PyvtkImageAlphaFilter_SetAverageThreshold, 1,
   (char*)"V.SetAverageThreshold(int)\nC++: void SetAverageThreshold(int a)\n\n"},
  {(char*)"GetAverageThreshold", PyvtkImageAlphaFilter_GetAverageThreshold, 1,
   (char*)"V.GetAverageThreshold() -> int\nC++: int GetAverageThreshold()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageAlphaFilter_StaticNew()
{
  return vtkImageAlphaFilter::New();
}

PyObject *PyVTKClass_vtkImageAlphaFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageAlphaFilter_StaticNew,
    PyvtkImageAlphaFilter_Methods,
    "vtkImageAlphaFilter", modulename,
    NULL, NULL,
    PyvtkImageAlphaFilter_Doc(),
    PyVTKClass_vtkImageMultipleInputFilterNew(modulename));
  return cls;
}

const char **PyvtkImageAlphaFilter_Doc()
{
  static const char *docstring[] = {
    "vtkImageAlphaFilter - Collects data from multiple inputs into one\nimage.\n\n",
    "Superclass: vtkImageMultipleInputFilter\n\n",
    "vtkImageAlphaFilter takes the components from multiple inputs and\nAlphaFilters them into one output. The output images are AlphaFilter\nalong the \"AlphaFilterAxis\". Except for the AlphaFilter axis, all\ninputs must have the same extent. All inputs must have the same\nnumber of scalar components. A future extension might be to pad or\nclip inputs to have the same extent. The output has the same origin\n",
    "and spacing as the first input. The origin and spacing of all other\ninputs are ignored.  All inputs must have the same scalar type.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageAlphaFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageAlphaFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageAlphaFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

