// python wrapper for vtkImageColocalizationFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageColocalizationFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageColocalizationFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageColocalizationFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageColocalizationFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageColocalizationFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageColocalizationFilter_Doc();


static PyObject *
PyvtkImageColocalizationFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  vtkImageColocalizationFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageColocalizationFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageColocalizationFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetOutputDepth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDepth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDepth(temp0);
      }
    else
      {
      op->vtkImageColocalizationFilter::SetOutputDepth(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_GetOutputDepth(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputDepth");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputDepth();
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::GetOutputDepth();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetOutputDepthTo24Bit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDepthTo24Bit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDepthTo24Bit();
      }
    else
      {
      op->vtkImageColocalizationFilter::SetOutputDepthTo24Bit();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetOutputDepthTo8Bit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDepthTo8Bit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDepthTo8Bit();
      }
    else
      {
      op->vtkImageColocalizationFilter::SetOutputDepthTo8Bit();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetOutputDepthTo1Bit(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputDepthTo1Bit");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->SetOutputDepthTo1Bit();
      }
    else
      {
      op->vtkImageColocalizationFilter::SetOutputDepthTo1Bit();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetColocalizationLowerThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColocalizationLowerThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetColocalizationLowerThreshold(temp0, temp1);
      }
    else
      {
      op->vtkImageColocalizationFilter::SetColocalizationLowerThreshold(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_GetColocalizationLowerThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColocalizationLowerThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColocalizationLowerThreshold(temp0);
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::GetColocalizationLowerThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetColocalizationUpperThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColocalizationUpperThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetColocalizationUpperThreshold(temp0, temp1);
      }
    else
      {
      op->vtkImageColocalizationFilter::SetColocalizationUpperThreshold(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_GetColocalizationUpperThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColocalizationUpperThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  int temp0;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColocalizationUpperThreshold(temp0);
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::GetColocalizationUpperThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_GetOutputScalarValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutputScalarValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutputScalarValue();
      }
    else
      {
      tempr = op->vtkImageColocalizationFilter::GetOutputScalarValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationFilter_SetOutputScalarValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputScalarValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationFilter *op = static_cast<vtkImageColocalizationFilter *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutputScalarValue(temp0);
      }
    else
      {
      op->vtkImageColocalizationFilter::SetOutputScalarValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageColocalizationFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkImageColocalizationFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageColocalizationFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageColocalizationFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageColocalizationFilter\nC++: vtkImageColocalizationFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageColocalizationFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageColocalizationFilter\nC++: vtkImageColocalizationFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetOutputDepth", PyvtkImageColocalizationFilter_SetOutputDepth, 1,
   (char*)"V.SetOutputDepth(int)\nC++: void SetOutputDepth(int a)\n\nSet the bit depth of the generated colocalization map. Can be one\nof 24 - produce unsigned char dataset with 4 components (RGBA) 8\n- produce 8-bit (unsigned char) dataset 1 - produce a 8-bit\ndataset that is conceptually 1-bit, that is, set to the specified\nscalar value\n"},
  {(char*)"GetOutputDepth", PyvtkImageColocalizationFilter_GetOutputDepth, 1,
   (char*)"V.GetOutputDepth() -> int\nC++: int GetOutputDepth()\n\nSet the bit depth of the generated colocalization map. Can be one\nof 24 - produce unsigned char dataset with 4 components (RGBA) 8\n- produce 8-bit (unsigned char) dataset 1 - produce a 8-bit\ndataset that is conceptually 1-bit, that is, set to the specified\nscalar value\n"},
  {(char*)"SetOutputDepthTo24Bit", PyvtkImageColocalizationFilter_SetOutputDepthTo24Bit, 1,
   (char*)"V.SetOutputDepthTo24Bit()\nC++: void SetOutputDepthTo24Bit()\n\nSet the bit depth of the generated colocalization map. Can be one\nof 24 - produce unsigned char dataset with 4 components (RGBA) 8\n- produce 8-bit (unsigned char) dataset 1 - produce a 8-bit\ndataset that is conceptually 1-bit, that is, set to the specified\nscalar value\n"},
  {(char*)"SetOutputDepthTo8Bit", PyvtkImageColocalizationFilter_SetOutputDepthTo8Bit, 1,
   (char*)"V.SetOutputDepthTo8Bit()\nC++: void SetOutputDepthTo8Bit()\n\nSet the bit depth of the generated colocalization map. Can be one\nof 24 - produce unsigned char dataset with 4 components (RGBA) 8\n- produce 8-bit (unsigned char) dataset 1 - produce a 8-bit\ndataset that is conceptually 1-bit, that is, set to the specified\nscalar value\n"},
  {(char*)"SetOutputDepthTo1Bit", PyvtkImageColocalizationFilter_SetOutputDepthTo1Bit, 1,
   (char*)"V.SetOutputDepthTo1Bit()\nC++: void SetOutputDepthTo1Bit()\n\nSet the bit depth of the generated colocalization map. Can be one\nof 24 - produce unsigned char dataset with 4 components (RGBA) 8\n- produce 8-bit (unsigned char) dataset 1 - produce a 8-bit\ndataset that is conceptually 1-bit, that is, set to the specified\nscalar value\n"},
  {(char*)"SetColocalizationLowerThreshold", PyvtkImageColocalizationFilter_SetColocalizationLowerThreshold, 1,
   (char*)"V.SetColocalizationLowerThreshold(int, int)\nC++: void SetColocalizationLowerThreshold(int dataset,\n    int threshold)\n\nVoxels in the specified dataset that have a scalar value above\nthis threshold and below the upper threshold are considered to be\ncolocalizing\n"},
  {(char*)"GetColocalizationLowerThreshold", PyvtkImageColocalizationFilter_GetColocalizationLowerThreshold, 1,
   (char*)"V.GetColocalizationLowerThreshold(int) -> int\nC++: int GetColocalizationLowerThreshold(int dataset)\n\nVoxels in the specified dataset that have a scalar value above\nthis threshold and below the upper threshold are considered to be\ncolocalizing\n"},
  {(char*)"SetColocalizationUpperThreshold", PyvtkImageColocalizationFilter_SetColocalizationUpperThreshold, 1,
   (char*)"V.SetColocalizationUpperThreshold(int, int)\nC++: void SetColocalizationUpperThreshold(int dataset,\n    int threshold)\n\nVoxels in the specified dataset that have a scalar value below\nthis threshold and above the lower threshold are considered to be\ncolocalizing\n"},
  {(char*)"GetColocalizationUpperThreshold", PyvtkImageColocalizationFilter_GetColocalizationUpperThreshold, 1,
   (char*)"V.GetColocalizationUpperThreshold(int) -> int\nC++: int GetColocalizationUpperThreshold(int dataset)\n\nVoxels in the specified dataset that have a scalar value below\nthis threshold and above the lower threshold are considered to be\ncolocalizing\n"},
  {(char*)"GetOutputScalarValue", PyvtkImageColocalizationFilter_GetOutputScalarValue, 1,
   (char*)"V.GetOutputScalarValue() -> float\nC++: double GetOutputScalarValue()\n\nSet / Get the constant scalar used for colocalized voxels.\nDefaults to 2**sizeof(datatype)\n"},
  {(char*)"SetOutputScalarValue", PyvtkImageColocalizationFilter_SetOutputScalarValue, 1,
   (char*)"V.SetOutputScalarValue(float)\nC++: void SetOutputScalarValue(double a)\n\nSet / Get the constant scalar used for colocalized voxels.\nDefaults to 2**sizeof(datatype)\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageColocalizationFilter_StaticNew()
{
  return vtkImageColocalizationFilter::New();
}

PyObject *PyVTKClass_vtkImageColocalizationFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageColocalizationFilter_StaticNew,
    PyvtkImageColocalizationFilter_Methods,
    "vtkImageColocalizationFilter", modulename,
    NULL, NULL,
    PyvtkImageColocalizationFilter_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageColocalizationFilter_Doc()
{
  static const char *docstring[] = {
    "vtkImageColocalizationFilter - Calculates a colocalization map from\nmultiple input images\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageColocalizationFilter takes as input multiple vtkImageData\ndatasets and calculates the colocalized voxels in those datasets\nbased on a lower and upper threshold that is defined for each of the\ninput datasets.\n\nA voxel is considered colocalized if in every input dataset the\nintensity of the voxel I_v is between the lower and upper thresholds\n(T_l and T_u respectively).\n\nSo, a voxel is coloca",
    "lized if for each input datasets, the following\nholds:\n\nT_l <= I_v <= T_u\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageColocalizationFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageColocalizationFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageColocalizationFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

