// python wrapper for vtkImageColocalizationTest
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageColocalizationTest.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageColocalizationTest(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageColocalizationTest(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageColocalizationTestNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageColocalizationTestNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkImageMultipleInputFilterNew
extern "C" { PyObject *PyVTKClass_vtkImageMultipleInputFilterNew(const char *); }
#define DECLARED_PyVTKClass_vtkImageMultipleInputFilterNew
#endif

static const char **PyvtkImageColocalizationTest_Doc();


static PyObject *
PyvtkImageColocalizationTest_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  vtkImageColocalizationTest *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageColocalizationTest *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageColocalizationTest::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetIgnoreZeroPixels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIgnoreZeroPixels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIgnoreZeroPixels();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetIgnoreZeroPixels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetIgnoreZeroPixels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIgnoreZeroPixels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIgnoreZeroPixels(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetIgnoreZeroPixels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetRandomizeZ(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRandomizeZ");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRandomizeZ();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetRandomizeZ();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetRandomizeZ(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRandomizeZ");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRandomizeZ(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetRandomizeZ(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetManualPSFSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetManualPSFSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetManualPSFSize();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetManualPSFSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetManualPSFSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetManualPSFSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetManualPSFSize(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetManualPSFSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetNumIterations(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumIterations");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumIterations();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetNumIterations();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetNumIterations(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumIterations");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumIterations(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetNumIterations(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetMethod(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMethod");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMethod();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetMethod();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetMethod(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMethod");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMethod(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetMethod(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetCurrentSlice(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCurrentSlice");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCurrentSlice();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetCurrentSlice();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetCurrentSlice(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCurrentSlice");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCurrentSlice(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetCurrentSlice(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetNumericalAperture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumericalAperture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumericalAperture();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetNumericalAperture();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetNumericalAperture(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumericalAperture");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumericalAperture(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetNumericalAperture(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetPixelSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPixelSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPixelSize();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetPixelSize();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetPixelSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPixelSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPixelSize(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetPixelSize(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetCh2Lambda(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCh2Lambda");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCh2Lambda();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetCh2Lambda();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetCh2Lambda(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetCh2Lambda");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetCh2Lambda(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetCh2Lambda(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetPValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPValue();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetPValue();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetPValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPValue(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetPValue(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetRObserved(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRObserved");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRObserved();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetRObserved();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetRObserved(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRObserved");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRObserved(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetRObserved(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetRRandMean(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRRandMean");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRRandMean();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetRRandMean();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetRRandMean(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRRandMean");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRRandMean(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetRRandMean(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetRRandSD(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetRRandSD");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetRRandSD();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetRRandSD();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetRRandSD(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRRandSD");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRRandSD(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetRRandSD(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetColocCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColocCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColocCount();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetColocCount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetColocCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColocCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColocCount(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetColocCount(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_GetPSF(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetPSF");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetPSF();
      }
    else
      {
      tempr = op->vtkImageColocalizationTest::GetPSF();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColocalizationTest_SetPSF(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetPSF");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColocalizationTest *op = static_cast<vtkImageColocalizationTest *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetPSF(temp0);
      }
    else
      {
      op->vtkImageColocalizationTest::SetPSF(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageColocalizationTest_Methods[] = {
  {(char*)"GetClassName", PyvtkImageColocalizationTest_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageColocalizationTest_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageColocalizationTest_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageColocalizationTest\nC++: vtkImageColocalizationTest *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageColocalizationTest_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageColocalizationTest\nC++: vtkImageColocalizationTest *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetIgnoreZeroPixels", PyvtkImageColocalizationTest_GetIgnoreZeroPixels, 1,
   (char*)"V.GetIgnoreZeroPixels() -> int\nC++: int GetIgnoreZeroPixels()\n\n"},
  {(char*)"SetIgnoreZeroPixels", PyvtkImageColocalizationTest_SetIgnoreZeroPixels, 1,
   (char*)"V.SetIgnoreZeroPixels(int)\nC++: void SetIgnoreZeroPixels(int a)\n\n"},
  {(char*)"GetRandomizeZ", PyvtkImageColocalizationTest_GetRandomizeZ, 1,
   (char*)"V.GetRandomizeZ() -> int\nC++: int GetRandomizeZ()\n\nRandomize in Z direction also\n"},
  {(char*)"SetRandomizeZ", PyvtkImageColocalizationTest_SetRandomizeZ, 1,
   (char*)"V.SetRandomizeZ(int)\nC++: void SetRandomizeZ(int a)\n\nRandomize in Z direction also\n"},
  {(char*)"GetManualPSFSize", PyvtkImageColocalizationTest_GetManualPSFSize, 1,
   (char*)"V.GetManualPSFSize() -> float\nC++: double GetManualPSFSize()\n\nSet the size of the PSF (in pixels) manually\n"},
  {(char*)"SetManualPSFSize", PyvtkImageColocalizationTest_SetManualPSFSize, 1,
   (char*)"V.SetManualPSFSize(float)\nC++: void SetManualPSFSize(double a)\n\nSet the size of the PSF (in pixels) manually\n"},
  {(char*)"GetNumIterations", PyvtkImageColocalizationTest_GetNumIterations, 1,
   (char*)"V.GetNumIterations() -> int\nC++: int GetNumIterations()\n\nSet the number of iterations\n"},
  {(char*)"SetNumIterations", PyvtkImageColocalizationTest_SetNumIterations, 1,
   (char*)"V.SetNumIterations(int)\nC++: void SetNumIterations(int a)\n\nSet the number of iterations\n"},
  {(char*)"GetMethod", PyvtkImageColocalizationTest_GetMethod, 1,
   (char*)"V.GetMethod() -> int\nC++: int GetMethod()\n\nSet the randomization method 0 = Fay 1 = Costes X, Y 2 = van\nSteensel\n"},
  {(char*)"SetMethod", PyvtkImageColocalizationTest_SetMethod, 1,
   (char*)"V.SetMethod(int)\nC++: void SetMethod(int a)\n\nSet the randomization method 0 = Fay 1 = Costes X, Y 2 = van\nSteensel\n"},
  {(char*)"GetCurrentSlice", PyvtkImageColocalizationTest_GetCurrentSlice, 1,
   (char*)"V.GetCurrentSlice() -> int\nC++: int GetCurrentSlice()\n\nDo the thang only on given slice\n"},
  {(char*)"SetCurrentSlice", PyvtkImageColocalizationTest_SetCurrentSlice, 1,
   (char*)"V.SetCurrentSlice(int)\nC++: void SetCurrentSlice(int a)\n\nDo the thang only on given slice\n"},
  {(char*)"GetNumericalAperture", PyvtkImageColocalizationTest_GetNumericalAperture, 1,
   (char*)"V.GetNumericalAperture() -> float\nC++: double GetNumericalAperture()\n\nSet the numerical aperture\n"},
  {(char*)"SetNumericalAperture", PyvtkImageColocalizationTest_SetNumericalAperture, 1,
   (char*)"V.SetNumericalAperture(float)\nC++: void SetNumericalAperture(double a)\n\nSet the numerical aperture\n"},
  {(char*)"GetPixelSize", PyvtkImageColocalizationTest_GetPixelSize, 1,
   (char*)"V.GetPixelSize() -> float\nC++: double GetPixelSize()\n\nSet the pixel size\n"},
  {(char*)"SetPixelSize", PyvtkImageColocalizationTest_SetPixelSize, 1,
   (char*)"V.SetPixelSize(float)\nC++: void SetPixelSize(double a)\n\nSet the pixel size\n"},
  {(char*)"GetCh2Lambda", PyvtkImageColocalizationTest_GetCh2Lambda, 1,
   (char*)"V.GetCh2Lambda() -> int\nC++: int GetCh2Lambda()\n\nSet the lambda for channel 2\n"},
  {(char*)"SetCh2Lambda", PyvtkImageColocalizationTest_SetCh2Lambda, 1,
   (char*)"V.SetCh2Lambda(int)\nC++: void SetCh2Lambda(int a)\n\nSet the lambda for channel 2\n"},
  {(char*)"GetPValue", PyvtkImageColocalizationTest_GetPValue, 1,
   (char*)"V.GetPValue() -> float\nC++: double GetPValue()\n\nSet the P value\n"},
  {(char*)"SetPValue", PyvtkImageColocalizationTest_SetPValue, 1,
   (char*)"V.SetPValue(float)\nC++: void SetPValue(double a)\n\nSet the P value\n"},
  {(char*)"GetRObserved", PyvtkImageColocalizationTest_GetRObserved, 1,
   (char*)"V.GetRObserved() -> float\nC++: double GetRObserved()\n\nSet the R(obs)\n"},
  {(char*)"SetRObserved", PyvtkImageColocalizationTest_SetRObserved, 1,
   (char*)"V.SetRObserved(float)\nC++: void SetRObserved(double a)\n\nSet the R(obs)\n"},
  {(char*)"GetRRandMean", PyvtkImageColocalizationTest_GetRRandMean, 1,
   (char*)"V.GetRRandMean() -> float\nC++: double GetRRandMean()\n\nSet the R(rand) mean\n"},
  {(char*)"SetRRandMean", PyvtkImageColocalizationTest_SetRRandMean, 1,
   (char*)"V.SetRRandMean(float)\nC++: void SetRRandMean(double a)\n\nSet the R(rand) mean\n"},
  {(char*)"GetRRandSD", PyvtkImageColocalizationTest_GetRRandSD, 1,
   (char*)"V.GetRRandSD() -> float\nC++: double GetRRandSD()\n\nSet the R(rand) sd\n"},
  {(char*)"SetRRandSD", PyvtkImageColocalizationTest_SetRRandSD, 1,
   (char*)"V.SetRRandSD(float)\nC++: void SetRRandSD(double a)\n\nSet the R(rand) sd\n"},
  {(char*)"GetColocCount", PyvtkImageColocalizationTest_GetColocCount, 1,
   (char*)"V.GetColocCount() -> int\nC++: int GetColocCount()\n\nSet the coloc count\n"},
  {(char*)"SetColocCount", PyvtkImageColocalizationTest_SetColocCount, 1,
   (char*)"V.SetColocCount(int)\nC++: void SetColocCount(int a)\n\nSet the coloc count\n"},
  {(char*)"GetPSF", PyvtkImageColocalizationTest_GetPSF, 1,
   (char*)"V.GetPSF() -> float\nC++: double GetPSF()\n\nSet the PSF\n"},
  {(char*)"SetPSF", PyvtkImageColocalizationTest_SetPSF, 1,
   (char*)"V.SetPSF(float)\nC++: void SetPSF(double a)\n\nSet the PSF\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageColocalizationTest_StaticNew()
{
  return vtkImageColocalizationTest::New();
}

PyObject *PyVTKClass_vtkImageColocalizationTestNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageColocalizationTest_StaticNew,
    PyvtkImageColocalizationTest_Methods,
    "vtkImageColocalizationTest", modulename,
    NULL, NULL,
    PyvtkImageColocalizationTest_Doc(),
    PyVTKClass_vtkImageMultipleInputFilterNew(modulename));
  return cls;
}

const char **PyvtkImageColocalizationTest_Doc()
{
  static const char *docstring[] = {
    "vtkImageColocalizationTest - Collects data from multiple inputs into\none image.\n\n",
    "Superclass: vtkImageMultipleInputFilter\n\n",
    "vtkImageColocalizationTest takes the components from multiple inputs\nand ColocalizationTests them into one output. The output images are\nColocalizationTest along the \"ColocalizationTestAxis\". Except for the\nColocalizationTest axis, all inputs must have the same extent. All\ninputs must have the same number of scalar components. A future\nextension might be to pad or clip inputs to have the same exte",
    "nt. The\noutput has the same origin and spacing as the first input. The origin\nand spacing of all other inputs are ignored.  All inputs must have\nthe same scalar type.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageColocalizationTest(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageColocalizationTestNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageColocalizationTest", o) != 0)
    {
    Py_DECREF(o);
    }

}

