// python wrapper for vtkImageColorMerge
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageColorMerge.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageColorMerge(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageColorMerge(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageColorMergeNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageColorMergeNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageColorMerge_Doc();


static PyObject *
PyvtkImageColorMerge_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageColorMerge::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  vtkImageColorMerge *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageColorMerge::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageColorMerge *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageColorMerge::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetColorTransferFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorTransferFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  vtkColorTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetColorTransferFunction(temp0);
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetColorTransferFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetIntensityTransferFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntensityTransferFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  vtkIntensityTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntensityTransferFunction(temp0);
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetIntensityTransferFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_AddLookupTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddLookupTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  vtkColorTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkColorTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->AddLookupTable(temp0);
      }
    else
      {
      op->vtkImageColorMerge::AddLookupTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_AddIntensityTransferFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddIntensityTransferFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  vtkIntensityTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkIntensityTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->AddIntensityTransferFunction(temp0);
      }
    else
      {
      op->vtkImageColorMerge::AddIntensityTransferFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_RemoveLookupTables(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "RemoveLookupTables");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->RemoveLookupTables();
      }
    else
      {
      op->vtkImageColorMerge::RemoveLookupTables();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetITFCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetITFCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetITFCount();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetITFCount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetCTFCount(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetCTFCount");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetCTFCount();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetCTFCount();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_BuildAlphaOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildAlphaOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BuildAlphaOn();
      }
    else
      {
      op->vtkImageColorMerge::BuildAlphaOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_BuildAlphaOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "BuildAlphaOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->BuildAlphaOff();
      }
    else
      {
      op->vtkImageColorMerge::BuildAlphaOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SetBuildAlpha(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBuildAlpha");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBuildAlpha(temp0);
      }
    else
      {
      op->vtkImageColorMerge::SetBuildAlpha(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetBuildAlpha(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBuildAlpha");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBuildAlpha();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetBuildAlpha();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_MaximumModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MaximumModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MaximumModeOn();
      }
    else
      {
      op->vtkImageColorMerge::MaximumModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_MaximumModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "MaximumModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->MaximumModeOff();
      }
    else
      {
      op->vtkImageColorMerge::MaximumModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SetMaximumMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaximumMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetMaximumMode(temp0);
      }
    else
      {
      op->vtkImageColorMerge::SetMaximumMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetMaximumMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaximumMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetMaximumMode();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetMaximumMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_LuminanceModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LuminanceModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LuminanceModeOn();
      }
    else
      {
      op->vtkImageColorMerge::LuminanceModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_LuminanceModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "LuminanceModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->LuminanceModeOff();
      }
    else
      {
      op->vtkImageColorMerge::LuminanceModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SetLuminanceMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLuminanceMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLuminanceMode(temp0);
      }
    else
      {
      op->vtkImageColorMerge::SetLuminanceMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetLuminanceMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLuminanceMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetLuminanceMode();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetLuminanceMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_AverageModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AverageModeOn();
      }
    else
      {
      op->vtkImageColorMerge::AverageModeOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_AverageModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AverageModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->AverageModeOff();
      }
    else
      {
      op->vtkImageColorMerge::AverageModeOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SetAverageMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageMode(temp0);
      }
    else
      {
      op->vtkImageColorMerge::SetAverageMode(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetAverageMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageMode();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetAverageMode();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_SetAverageThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageThreshold(temp0);
      }
    else
      {
      op->vtkImageColorMerge::SetAverageThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageColorMerge_GetAverageThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageColorMerge *op = static_cast<vtkImageColorMerge *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageThreshold();
      }
    else
      {
      tempr = op->vtkImageColorMerge::GetAverageThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageColorMerge_Methods[] = {
  {(char*)"GetClassName", PyvtkImageColorMerge_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageColorMerge_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageColorMerge_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageColorMerge\nC++: vtkImageColorMerge *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageColorMerge_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageColorMerge\nC++: vtkImageColorMerge *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetColorTransferFunction", PyvtkImageColorMerge_GetColorTransferFunction, 1,
   (char*)"V.GetColorTransferFunction(int) -> vtkColorTransferFunction\nC++: vtkColorTransferFunction *GetColorTransferFunction(int i)\n\n"},
  {(char*)"GetIntensityTransferFunction", PyvtkImageColorMerge_GetIntensityTransferFunction, 1,
   (char*)"V.GetIntensityTransferFunction(int)\n    -> vtkIntensityTransferFunction\nC++: vtkIntensityTransferFunction *GetIntensityTransferFunction(\n    int i)\n\n"},
  {(char*)"AddLookupTable", PyvtkImageColorMerge_AddLookupTable, 1,
   (char*)"V.AddLookupTable(vtkColorTransferFunction)\nC++: void AddLookupTable(vtkColorTransferFunction *ctf)\n\n"},
  {(char*)"AddIntensityTransferFunction", PyvtkImageColorMerge_AddIntensityTransferFunction, 1,
   (char*)"V.AddIntensityTransferFunction(vtkIntensityTransferFunction)\nC++: void AddIntensityTransferFunction(\n    vtkIntensityTransferFunction *itf)\n\n"},
  {(char*)"RemoveLookupTables", PyvtkImageColorMerge_RemoveLookupTables, 1,
   (char*)"V.RemoveLookupTables()\nC++: void RemoveLookupTables()\n\n"},
  {(char*)"GetITFCount", PyvtkImageColorMerge_GetITFCount, 1,
   (char*)"V.GetITFCount() -> int\nC++: int GetITFCount()\n\n"},
  {(char*)"GetCTFCount", PyvtkImageColorMerge_GetCTFCount, 1,
   (char*)"V.GetCTFCount() -> int\nC++: int GetCTFCount()\n\n"},
  {(char*)"BuildAlphaOn", PyvtkImageColorMerge_BuildAlphaOn, 1,
   (char*)"V.BuildAlphaOn()\nC++: void BuildAlphaOn()\n\n"},
  {(char*)"BuildAlphaOff", PyvtkImageColorMerge_BuildAlphaOff, 1,
   (char*)"V.BuildAlphaOff()\nC++: void BuildAlphaOff()\n\n"},
  {(char*)"SetBuildAlpha", PyvtkImageColorMerge_SetBuildAlpha, 1,
   (char*)"V.SetBuildAlpha(int)\nC++: void SetBuildAlpha(int a)\n\n"},
  {(char*)"GetBuildAlpha", PyvtkImageColorMerge_GetBuildAlpha, 1,
   (char*)"V.GetBuildAlpha() -> int\nC++: int GetBuildAlpha()\n\n"},
  {(char*)"MaximumModeOn", PyvtkImageColorMerge_MaximumModeOn, 1,
   (char*)"V.MaximumModeOn()\nC++: void MaximumModeOn()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"MaximumModeOff", PyvtkImageColorMerge_MaximumModeOff, 1,
   (char*)"V.MaximumModeOff()\nC++: void MaximumModeOff()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"SetMaximumMode", PyvtkImageColorMerge_SetMaximumMode, 1,
   (char*)"V.SetMaximumMode(int)\nC++: void SetMaximumMode(int a)\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"GetMaximumMode", PyvtkImageColorMerge_GetMaximumMode, 1,
   (char*)"V.GetMaximumMode() -> int\nC++: int GetMaximumMode()\n\nIn the maximum mode, the alpha channel value will be the largest\nscalar value in a particular voxel\n"},
  {(char*)"LuminanceModeOn", PyvtkImageColorMerge_LuminanceModeOn, 1,
   (char*)"V.LuminanceModeOn()\nC++: void LuminanceModeOn()\n\nIn the luminance mode, the alpha channel value will be the\nweighted sum of the intensities of R, G and B\n"},
  {(char*)"LuminanceModeOff", PyvtkImageColorMerge_LuminanceModeOff, 1,
   (char*)"V.LuminanceModeOff()\nC++: void LuminanceModeOff()\n\nIn the luminance mode, the alpha channel value will be the\nweighted sum of the intensities of R, G and B\n"},
  {(char*)"SetLuminanceMode", PyvtkImageColorMerge_SetLuminanceMode, 1,
   (char*)"V.SetLuminanceMode(int)\nC++: void SetLuminanceMode(int a)\n\nIn the luminance mode, the alpha channel value will be the\nweighted sum of the intensities of R, G and B\n"},
  {(char*)"GetLuminanceMode", PyvtkImageColorMerge_GetLuminanceMode, 1,
   (char*)"V.GetLuminanceMode() -> int\nC++: int GetLuminanceMode()\n\nIn the luminance mode, the alpha channel value will be the\nweighted sum of the intensities of R, G and B\n"},
  {(char*)"AverageModeOn", PyvtkImageColorMerge_AverageModeOn, 1,
   (char*)"V.AverageModeOn()\nC++: void AverageModeOn()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"AverageModeOff", PyvtkImageColorMerge_AverageModeOff, 1,
   (char*)"V.AverageModeOff()\nC++: void AverageModeOff()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"SetAverageMode", PyvtkImageColorMerge_SetAverageMode, 1,
   (char*)"V.SetAverageMode(int)\nC++: void SetAverageMode(int a)\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"GetAverageMode", PyvtkImageColorMerge_GetAverageMode, 1,
   (char*)"V.GetAverageMode() -> int\nC++: int GetAverageMode()\n\nIn the average mode, the alpha channel value will be the average\nof all scalar values that are larger than AverageThreshold\n"},
  {(char*)"SetAverageThreshold", PyvtkImageColorMerge_SetAverageThreshold, 1,
   (char*)"V.SetAverageThreshold(int)\nC++: void SetAverageThreshold(int a)\n\n"},
  {(char*)"GetAverageThreshold", PyvtkImageColorMerge_GetAverageThreshold, 1,
   (char*)"V.GetAverageThreshold() -> int\nC++: int GetAverageThreshold()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageColorMerge_StaticNew()
{
  return vtkImageColorMerge::New();
}

PyObject *PyVTKClass_vtkImageColorMergeNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageColorMerge_StaticNew,
    PyvtkImageColorMerge_Methods,
    "vtkImageColorMerge", modulename,
    NULL, NULL,
    PyvtkImageColorMerge_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageColorMerge_Doc()
{
  static const char *docstring[] = {
    "vtkImageColorMerge - Collects data from multiple inputs into one\nimage.\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageColorMerge takes the components from multiple inputs and\nmerges them into one output. The output images are Merge along the\n\"MergeAxis\". Except for the Merge axis, all inputs must have the same\nextent. All inputs must have the same number of scalar components. A\nfuture extension might be to pad or clip inputs to have the same\nextent. The output has the same origin and spacing as the first\n",
    "input. The origin and spacing of all other inputs are ignored.  All\ninputs must have the same scalar type.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageColorMerge(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageColorMergeNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageColorMerge", o) != 0)
    {
    Py_DECREF(o);
    }

}

