// python wrapper for vtkImageLabelAverage
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageLabelAverage.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageLabelAverage(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageLabelAverage(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageLabelAverageNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageLabelAverageNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageLabelAverage_Doc();


static PyObject *
PyvtkImageLabelAverage_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageLabelAverage::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  vtkImageLabelAverage *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageLabelAverage *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageLabelAverage::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetNumberOfLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNumberOfLabels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetNumberOfLabels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetAverage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int temp0;
  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverage(temp0);
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetAverage(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetAverageArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  vtkDoubleArray *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageArray();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetAverageArray();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SplitExtent(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SplitExtent");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int temp0[6];
  int save0[6];
  const int size0 = 6;
  int temp1[6];
  int save1[6];
  const int size1 = 6;
  int temp2;
  int temp3;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4) &&
      ap.GetArray(temp0, size0) &&
      ap.GetArray(temp1, size1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3))
    {
    ap.SaveArray(temp0, save0, size0);
    ap.SaveArray(temp1, save1, size1);

    if (ap.IsBound())
      {
      tempr = op->SplitExtent(temp0, temp1, temp2, temp3);
      }
    else
      {
      tempr = op->vtkImageLabelAverage::SplitExtent(temp0, temp1, temp2, temp3);
      }

    if (ap.ArrayHasChanged(temp0, save0, size0) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(0, temp0, size0);
      }

    if (ap.ArrayHasChanged(temp1, save1, size1) &&
        !ap.ErrorOccurred())
      {
      ap.SetArray(1, temp1, size1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetAverageInsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageInsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageInsideLabels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetAverageInsideLabels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetAverageOutsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetAverageOutsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetAverageOutsideLabels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetAverageOutsideLabels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetVoxelsInsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVoxelsInsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVoxelsInsideLabels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetVoxelsInsideLabels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetVoxelsOutsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVoxelsOutsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVoxelsOutsideLabels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetVoxelsOutsideLabels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetInsideLabelsStdDev(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInsideLabelsStdDev");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetInsideLabelsStdDev();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetInsideLabelsStdDev();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetOutsideLabelsStdDev(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutsideLabelsStdDev");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetOutsideLabelsStdDev();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetOutsideLabelsStdDev();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetBackgroundLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetBackgroundLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetBackgroundLevel();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetBackgroundLevel();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetBackgroundLevel(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetBackgroundLevel");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetBackgroundLevel(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetBackgroundLevel(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_GetNonZeroVoxels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNonZeroVoxels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetNonZeroVoxels();
      }
    else
      {
      tempr = op->vtkImageLabelAverage::GetNonZeroVoxels();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetAverage(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverage");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetAverage(temp0, temp1);
      }
    else
      {
      op->vtkImageLabelAverage::SetAverage(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetVoxelsInsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVoxelsInsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVoxelsInsideLabels(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetVoxelsInsideLabels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetVoxelsOutsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVoxelsOutsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVoxelsOutsideLabels(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetVoxelsOutsideLabels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetInsideLabelsStdDev(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInsideLabelsStdDev");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetInsideLabelsStdDev(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetInsideLabelsStdDev(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetOutsideLabelsStdDev(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutsideLabelsStdDev");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetOutsideLabelsStdDev(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetOutsideLabelsStdDev(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetAverageInsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageInsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageInsideLabels(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetAverageInsideLabels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetAverageOutsideLabels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAverageOutsideLabels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  double temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAverageOutsideLabels(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetAverageOutsideLabels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageLabelAverage_SetNonZeroVoxels(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNonZeroVoxels");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageLabelAverage *op = static_cast<vtkImageLabelAverage *>(vp);

  unsigned int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNonZeroVoxels(temp0);
      }
    else
      {
      op->vtkImageLabelAverage::SetNonZeroVoxels(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkImageLabelAverage_Methods[] = {
  {(char*)"GetClassName", PyvtkImageLabelAverage_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageLabelAverage_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageLabelAverage_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageLabelAverage\nC++: vtkImageLabelAverage *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageLabelAverage_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageLabelAverage\nC++: vtkImageLabelAverage *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetNumberOfLabels", PyvtkImageLabelAverage_GetNumberOfLabels, 1,
   (char*)"V.GetNumberOfLabels() -> int\nC++: int GetNumberOfLabels()\n\n"},
  {(char*)"GetAverage", PyvtkImageLabelAverage_GetAverage, 1,
   (char*)"V.GetAverage(int) -> float\nC++: double GetAverage(int label)\n\n"},
  {(char*)"GetAverageArray", PyvtkImageLabelAverage_GetAverageArray, 1,
   (char*)"V.GetAverageArray() -> vtkDoubleArray\nC++: vtkDoubleArray *GetAverageArray()\n\n"},
  {(char*)"SplitExtent", PyvtkImageLabelAverage_SplitExtent, 1,
   (char*)"V.SplitExtent([int, int, int, int, int, int], [int, int, int, int,\n     int, int], int, int) -> int\nC++: int SplitExtent(int splitExt[6], int startExt[6], int num,\n    int total)\n\n"},
  {(char*)"GetAverageInsideLabels", PyvtkImageLabelAverage_GetAverageInsideLabels, 1,
   (char*)"V.GetAverageInsideLabels() -> float\nC++: double GetAverageInsideLabels()\n\nGet the total average of non-zero voxels inside and outside the\nlabels.\n"},
  {(char*)"GetAverageOutsideLabels", PyvtkImageLabelAverage_GetAverageOutsideLabels, 1,
   (char*)"V.GetAverageOutsideLabels() -> float\nC++: double GetAverageOutsideLabels()\n\nGet the total average of non-zero voxels inside and outside the\nlabels.\n"},
  {(char*)"GetVoxelsInsideLabels", PyvtkImageLabelAverage_GetVoxelsInsideLabels, 1,
   (char*)"V.GetVoxelsInsideLabels() -> int\nC++: unsigned int GetVoxelsInsideLabels()\n\nGet the total voxels inside and outside the labels.\n"},
  {(char*)"GetVoxelsOutsideLabels", PyvtkImageLabelAverage_GetVoxelsOutsideLabels, 1,
   (char*)"V.GetVoxelsOutsideLabels() -> int\nC++: unsigned int GetVoxelsOutsideLabels()\n\nGet the total voxels inside and outside the labels.\n"},
  {(char*)"GetInsideLabelsStdDev", PyvtkImageLabelAverage_GetInsideLabelsStdDev, 1,
   (char*)"V.GetInsideLabelsStdDev() -> float\nC++: double GetInsideLabelsStdDev()\n\nGet the standard deviation of average inside / outside labels\n"},
  {(char*)"GetOutsideLabelsStdDev", PyvtkImageLabelAverage_GetOutsideLabelsStdDev, 1,
   (char*)"V.GetOutsideLabelsStdDev() -> float\nC++: double GetOutsideLabelsStdDev()\n\nGet the standard deviation of average inside / outside labels\n"},
  {(char*)"GetBackgroundLevel", PyvtkImageLabelAverage_GetBackgroundLevel, 1,
   (char*)"V.GetBackgroundLevel() -> int\nC++: int GetBackgroundLevel()\n\nSet / Get the background level (number of objects in the label\nimage to ignore in calculating the inside and outside totals)\n"},
  {(char*)"SetBackgroundLevel", PyvtkImageLabelAverage_SetBackgroundLevel, 1,
   (char*)"V.SetBackgroundLevel(int)\nC++: void SetBackgroundLevel(int a)\n\nSet / Get the background level (number of objects in the label\nimage to ignore in calculating the inside and outside totals)\n"},
  {(char*)"GetNonZeroVoxels", PyvtkImageLabelAverage_GetNonZeroVoxels, 1,
   (char*)"V.GetNonZeroVoxels() -> int\nC++: unsigned int GetNonZeroVoxels()\n\nGet the number of non-zero voxels\n"},
  {(char*)"SetAverage", PyvtkImageLabelAverage_SetAverage, 1,
   (char*)"V.SetAverage(int, int)\nC++: void SetAverage(int label, int value)\n\n"},
  {(char*)"SetVoxelsInsideLabels", PyvtkImageLabelAverage_SetVoxelsInsideLabels, 1,
   (char*)"V.SetVoxelsInsideLabels(int)\nC++: void SetVoxelsInsideLabels(unsigned int a)\n\n"},
  {(char*)"SetVoxelsOutsideLabels", PyvtkImageLabelAverage_SetVoxelsOutsideLabels, 1,
   (char*)"V.SetVoxelsOutsideLabels(int)\nC++: void SetVoxelsOutsideLabels(unsigned int a)\n\n"},
  {(char*)"SetInsideLabelsStdDev", PyvtkImageLabelAverage_SetInsideLabelsStdDev, 1,
   (char*)"V.SetInsideLabelsStdDev(float)\nC++: void SetInsideLabelsStdDev(double a)\n\n"},
  {(char*)"SetOutsideLabelsStdDev", PyvtkImageLabelAverage_SetOutsideLabelsStdDev, 1,
   (char*)"V.SetOutsideLabelsStdDev(float)\nC++: void SetOutsideLabelsStdDev(double a)\n\n"},
  {(char*)"SetAverageInsideLabels", PyvtkImageLabelAverage_SetAverageInsideLabels, 1,
   (char*)"V.SetAverageInsideLabels(float)\nC++: void SetAverageInsideLabels(double a)\n\n"},
  {(char*)"SetAverageOutsideLabels", PyvtkImageLabelAverage_SetAverageOutsideLabels, 1,
   (char*)"V.SetAverageOutsideLabels(float)\nC++: void SetAverageOutsideLabels(double a)\n\n"},
  {(char*)"SetNonZeroVoxels", PyvtkImageLabelAverage_SetNonZeroVoxels, 1,
   (char*)"V.SetNonZeroVoxels(int)\nC++: void SetNonZeroVoxels(unsigned int a)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageLabelAverage_StaticNew()
{
  return vtkImageLabelAverage::New();
}

PyObject *PyVTKClass_vtkImageLabelAverageNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageLabelAverage_StaticNew,
    PyvtkImageLabelAverage_Methods,
    "vtkImageLabelAverage", modulename,
    NULL, NULL,
    PyvtkImageLabelAverage_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageLabelAverage_Doc()
{
  static const char *docstring[] = {
    "vtkImageLabelAverage - select piece (e.g., volume of interest) and/or\nsubsample structured points dataset\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageLabelAverage is a filter that sets to zero pixels/voxels that\nhave scalar values over a specified threshold but do not have\nhorizontal/vertical neighborhood pixels\n with scalar values over the respective thresholds\n\nSee Also:\n\nvtkGeometryFilter vtkExtractGeometry vtkExtractGrid\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageLabelAverage(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageLabelAverageNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageLabelAverage", o) != 0)
    {
    Py_DECREF(o);
    }

}

