// python wrapper for vtkImageMapToIntensities
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageMapToIntensities.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageMapToIntensities(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageMapToIntensities(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageMapToIntensitiesNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageMapToIntensitiesNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageMapToIntensities_Doc();


static PyObject *
PyvtkImageMapToIntensities_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageMapToIntensities *op = static_cast<vtkImageMapToIntensities *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageMapToIntensities::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageMapToIntensities_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageMapToIntensities *op = static_cast<vtkImageMapToIntensities *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageMapToIntensities::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageMapToIntensities_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageMapToIntensities *op = static_cast<vtkImageMapToIntensities *>(vp);

  vtkImageMapToIntensities *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageMapToIntensities::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageMapToIntensities_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageMapToIntensities *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageMapToIntensities::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageMapToIntensities_SetIntensityTransferFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIntensityTransferFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageMapToIntensities *op = static_cast<vtkImageMapToIntensities *>(vp);

  vtkIntensityTransferFunction *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkIntensityTransferFunction"))
    {
    if (ap.IsBound())
      {
      op->SetIntensityTransferFunction(temp0);
      }
    else
      {
      op->vtkImageMapToIntensities::SetIntensityTransferFunction(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageMapToIntensities_GetIntensityTransferFunction(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetIntensityTransferFunction");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageMapToIntensities *op = static_cast<vtkImageMapToIntensities *>(vp);

  vtkIntensityTransferFunction *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetIntensityTransferFunction();
      }
    else
      {
      tempr = op->vtkImageMapToIntensities::GetIntensityTransferFunction();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageMapToIntensities_Methods[] = {
  {(char*)"GetClassName", PyvtkImageMapToIntensities_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageMapToIntensities_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageMapToIntensities_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageMapToIntensities\nC++: vtkImageMapToIntensities *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageMapToIntensities_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageMapToIntensities\nC++: vtkImageMapToIntensities *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetIntensityTransferFunction", PyvtkImageMapToIntensities_SetIntensityTransferFunction, 1,
   (char*)"V.SetIntensityTransferFunction(vtkIntensityTransferFunction)\nC++: void SetIntensityTransferFunction(\n    vtkIntensityTransferFunction *itf)\n\nSet the vtkIntensityTransferFunction through which the scalars\nare mapped\n"},
  {(char*)"GetIntensityTransferFunction", PyvtkImageMapToIntensities_GetIntensityTransferFunction, 1,
   (char*)"V.GetIntensityTransferFunction() -> vtkIntensityTransferFunction\nC++: vtkIntensityTransferFunction *GetIntensityTransferFunction()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageMapToIntensities_StaticNew()
{
  return vtkImageMapToIntensities::New();
}

PyObject *PyVTKClass_vtkImageMapToIntensitiesNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageMapToIntensities_StaticNew,
    PyvtkImageMapToIntensities_Methods,
    "vtkImageMapToIntensities", modulename,
    NULL, NULL,
    PyvtkImageMapToIntensities_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageMapToIntensities_Doc()
{
  static const char *docstring[] = {
    "vtkImageMapToIntensities - select piece (e.g., volume of interest)\nand/or subsample structured points dataset\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageMapToIntensities is a filter that sets to zero pixels/voxels\nthat have scalar values over a specified threshold but do not have\nhorizontal/vertical neighborhood pixels\n with scalar values over the respective thresholds\n\nSee Also:\n\nvtkGeometryFilter vtkExtractGeometry vtkExtractGrid\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageMapToIntensities(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageMapToIntensitiesNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageMapToIntensities", o) != 0)
    {
    Py_DECREF(o);
    }

}

