// python wrapper for vtkImageSimpleMIP
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageSimpleMIP.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageSimpleMIP(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageSimpleMIP(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSimpleMIPNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSimpleMIPNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageSimpleMIP_Doc();


static PyObject *
PyvtkImageSimpleMIP_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSimpleMIP *op = static_cast<vtkImageSimpleMIP *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageSimpleMIP::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSimpleMIP_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSimpleMIP *op = static_cast<vtkImageSimpleMIP *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageSimpleMIP::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSimpleMIP_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSimpleMIP *op = static_cast<vtkImageSimpleMIP *>(vp);

  vtkImageSimpleMIP *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageSimpleMIP::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageSimpleMIP_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageSimpleMIP *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageSimpleMIP::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageSimpleMIP_Methods[] = {
  {(char*)"GetClassName", PyvtkImageSimpleMIP_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageSimpleMIP_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageSimpleMIP_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSimpleMIP\nC++: vtkImageSimpleMIP *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageSimpleMIP_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSimpleMIP\nC++: vtkImageSimpleMIP *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageSimpleMIP_StaticNew()
{
  return vtkImageSimpleMIP::New();
}

PyObject *PyVTKClass_vtkImageSimpleMIPNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageSimpleMIP_StaticNew,
    PyvtkImageSimpleMIP_Methods,
    "vtkImageSimpleMIP", modulename,
    NULL, NULL,
    PyvtkImageSimpleMIP_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageSimpleMIP_Doc()
{
  static const char *docstring[] = {
    "vtkImageSimpleMIP - do a simple MIP of image (looking from above)\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageSimpleMIP is a filter that sets to zero pixels/voxels that\nhave scalar values over a specified threshold but do not have\nhorizontal/vertical neighborhood pixels\n with scalar values over the respective thresholds\n\nSee Also:\n\nvtkGeometryFilter vtkExtractGeometry vtkExtractGrid\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageSimpleMIP(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageSimpleMIPNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageSimpleMIP", o) != 0)
    {
    Py_DECREF(o);
    }

}

