// python wrapper for vtkImageSolitaryFilter
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkImageSolitaryFilter.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkImageSolitaryFilter(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkImageSolitaryFilter(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageSolitaryFilterNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageSolitaryFilterNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkThreadedImageAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkThreadedImageAlgorithmNew
#endif

static const char **PyvtkImageSolitaryFilter_Doc();


static PyObject *
PyvtkImageSolitaryFilter_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  const char *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetClassName();
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::GetClassName();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  char *temp0 = NULL;
  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      tempr = op->IsA(temp0);
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::IsA(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  vtkImageSolitaryFilter *tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->NewInstance();
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::NewInstance();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  vtkImageSolitaryFilter *tempr;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    tempr = vtkImageSolitaryFilter::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_SetHorizontalThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetHorizontalThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetHorizontalThreshold(temp0);
      }
    else
      {
      op->vtkImageSolitaryFilter::SetHorizontalThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_GetHorizontalThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetHorizontalThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetHorizontalThreshold();
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::GetHorizontalThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_SetVerticalThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVerticalThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVerticalThreshold(temp0);
      }
    else
      {
      op->vtkImageSolitaryFilter::SetVerticalThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_GetVerticalThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVerticalThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetVerticalThreshold();
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::GetVerticalThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_SetFilteringThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilteringThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFilteringThreshold(temp0);
      }
    else
      {
      op->vtkImageSolitaryFilter::SetFilteringThreshold(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkImageSolitaryFilter_GetFilteringThreshold(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFilteringThreshold");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkImageSolitaryFilter *op = static_cast<vtkImageSolitaryFilter *>(vp);

  int tempr;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      tempr = op->GetFilteringThreshold();
      }
    else
      {
      tempr = op->vtkImageSolitaryFilter::GetFilteringThreshold();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkImageSolitaryFilter_Methods[] = {
  {(char*)"GetClassName", PyvtkImageSolitaryFilter_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkImageSolitaryFilter_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkImageSolitaryFilter_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageSolitaryFilter\nC++: vtkImageSolitaryFilter *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkImageSolitaryFilter_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageSolitaryFilter\nC++: vtkImageSolitaryFilter *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetHorizontalThreshold", PyvtkImageSolitaryFilter_SetHorizontalThreshold, 1,
   (char*)"V.SetHorizontalThreshold(int)\nC++: void SetHorizontalThreshold(int a)\n\nSpecify the X threshold. Horizontal neighboring pixels that have\nlower scalar value than this will be set to zero\n"},
  {(char*)"GetHorizontalThreshold", PyvtkImageSolitaryFilter_GetHorizontalThreshold, 1,
   (char*)"V.GetHorizontalThreshold() -> int\nC++: int GetHorizontalThreshold()\n\nSpecify the X threshold. Horizontal neighboring pixels that have\nlower scalar value than this will be set to zero\n"},
  {(char*)"SetVerticalThreshold", PyvtkImageSolitaryFilter_SetVerticalThreshold, 1,
   (char*)"V.SetVerticalThreshold(int)\nC++: void SetVerticalThreshold(int a)\n\nSpecify the Y threshold. Vertical neighboring pixels that have\nlower scalar value than this will be set to zero\n"},
  {(char*)"GetVerticalThreshold", PyvtkImageSolitaryFilter_GetVerticalThreshold, 1,
   (char*)"V.GetVerticalThreshold() -> int\nC++: int GetVerticalThreshold()\n\nSpecify the Y threshold. Vertical neighboring pixels that have\nlower scalar value than this will be set to zero\n"},
  {(char*)"SetFilteringThreshold", PyvtkImageSolitaryFilter_SetFilteringThreshold, 1,
   (char*)"V.SetFilteringThreshold(int)\nC++: void SetFilteringThreshold(int a)\n\nSpecify the filtering threshold. Pixels with scalar value over\nthis threshold are inspected.\n"},
  {(char*)"GetFilteringThreshold", PyvtkImageSolitaryFilter_GetFilteringThreshold, 1,
   (char*)"V.GetFilteringThreshold() -> int\nC++: int GetFilteringThreshold()\n\nSpecify the filtering threshold. Pixels with scalar value over\nthis threshold are inspected.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkImageSolitaryFilter_StaticNew()
{
  return vtkImageSolitaryFilter::New();
}

PyObject *PyVTKClass_vtkImageSolitaryFilterNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkImageSolitaryFilter_StaticNew,
    PyvtkImageSolitaryFilter_Methods,
    "vtkImageSolitaryFilter", modulename,
    NULL, NULL,
    PyvtkImageSolitaryFilter_Doc(),
    PyVTKClass_vtkThreadedImageAlgorithmNew(modulename));
  return cls;
}

const char **PyvtkImageSolitaryFilter_Doc()
{
  static const char *docstring[] = {
    "vtkImageSolitaryFilter - select piece (e.g., volume of interest)\nand/or subsample structured points dataset\n\n",
    "Superclass: vtkThreadedImageAlgorithm\n\n",
    "vtkImageSolitaryFilter is a filter that sets to zero pixels/voxels\nthat have scalar values over a specified threshold but do not have\nhorizontal/vertical neighborhood pixels\n with scalar values over the respective thresholds\n\nSee Also:\n\nvtkGeometryFilter vtkExtractGeometry vtkExtractGrid\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkImageSolitaryFilter(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkImageSolitaryFilterNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkImageSolitaryFilter", o) != 0)
    {
    Py_DECREF(o);
    }

}

